// Computer_System.v

// Generated using ACDS version 15.0 145

`timescale 1 ps / 1 ps
module Computer_System (
		output wire        adc_sclk,                            //                     adc.sclk
		output wire        adc_cs_n,                            //                        .cs_n
		input  wire        adc_dout,                            //                        .dout
		output wire        adc_din,                             //                        .din
		input  wire        adc_s1_write,                        //                  adc_s1.write
		output wire [31:0] adc_s1_readdata,                     //                        .readdata
		input  wire [31:0] adc_s1_writedata,                    //                        .writedata
		input  wire [2:0]  adc_s1_address,                      //                        .address
		output wire        adc_s1_waitrequest,                  //                        .waitrequest
		input  wire        adc_s1_read,                         //                        .read
		inout  wire        av_config_SDAT,                      //               av_config.SDAT
		output wire        av_config_SCLK,                      //                        .SCLK
		output wire [31:0] cfg_bus_export,                      //                 cfg_bus.export
		input  wire        clk_clk,                             //                     clk.clk
		output wire        hps_io_hps_io_emac1_inst_TX_CLK,     //                  hps_io.hps_io_emac1_inst_TX_CLK
		output wire        hps_io_hps_io_emac1_inst_TXD0,       //                        .hps_io_emac1_inst_TXD0
		output wire        hps_io_hps_io_emac1_inst_TXD1,       //                        .hps_io_emac1_inst_TXD1
		output wire        hps_io_hps_io_emac1_inst_TXD2,       //                        .hps_io_emac1_inst_TXD2
		output wire        hps_io_hps_io_emac1_inst_TXD3,       //                        .hps_io_emac1_inst_TXD3
		input  wire        hps_io_hps_io_emac1_inst_RXD0,       //                        .hps_io_emac1_inst_RXD0
		inout  wire        hps_io_hps_io_emac1_inst_MDIO,       //                        .hps_io_emac1_inst_MDIO
		output wire        hps_io_hps_io_emac1_inst_MDC,        //                        .hps_io_emac1_inst_MDC
		input  wire        hps_io_hps_io_emac1_inst_RX_CTL,     //                        .hps_io_emac1_inst_RX_CTL
		output wire        hps_io_hps_io_emac1_inst_TX_CTL,     //                        .hps_io_emac1_inst_TX_CTL
		input  wire        hps_io_hps_io_emac1_inst_RX_CLK,     //                        .hps_io_emac1_inst_RX_CLK
		input  wire        hps_io_hps_io_emac1_inst_RXD1,       //                        .hps_io_emac1_inst_RXD1
		input  wire        hps_io_hps_io_emac1_inst_RXD2,       //                        .hps_io_emac1_inst_RXD2
		input  wire        hps_io_hps_io_emac1_inst_RXD3,       //                        .hps_io_emac1_inst_RXD3
		inout  wire        hps_io_hps_io_qspi_inst_IO0,         //                        .hps_io_qspi_inst_IO0
		inout  wire        hps_io_hps_io_qspi_inst_IO1,         //                        .hps_io_qspi_inst_IO1
		inout  wire        hps_io_hps_io_qspi_inst_IO2,         //                        .hps_io_qspi_inst_IO2
		inout  wire        hps_io_hps_io_qspi_inst_IO3,         //                        .hps_io_qspi_inst_IO3
		output wire        hps_io_hps_io_qspi_inst_SS0,         //                        .hps_io_qspi_inst_SS0
		output wire        hps_io_hps_io_qspi_inst_CLK,         //                        .hps_io_qspi_inst_CLK
		inout  wire        hps_io_hps_io_sdio_inst_CMD,         //                        .hps_io_sdio_inst_CMD
		inout  wire        hps_io_hps_io_sdio_inst_D0,          //                        .hps_io_sdio_inst_D0
		inout  wire        hps_io_hps_io_sdio_inst_D1,          //                        .hps_io_sdio_inst_D1
		output wire        hps_io_hps_io_sdio_inst_CLK,         //                        .hps_io_sdio_inst_CLK
		inout  wire        hps_io_hps_io_sdio_inst_D2,          //                        .hps_io_sdio_inst_D2
		inout  wire        hps_io_hps_io_sdio_inst_D3,          //                        .hps_io_sdio_inst_D3
		inout  wire        hps_io_hps_io_usb1_inst_D0,          //                        .hps_io_usb1_inst_D0
		inout  wire        hps_io_hps_io_usb1_inst_D1,          //                        .hps_io_usb1_inst_D1
		inout  wire        hps_io_hps_io_usb1_inst_D2,          //                        .hps_io_usb1_inst_D2
		inout  wire        hps_io_hps_io_usb1_inst_D3,          //                        .hps_io_usb1_inst_D3
		inout  wire        hps_io_hps_io_usb1_inst_D4,          //                        .hps_io_usb1_inst_D4
		inout  wire        hps_io_hps_io_usb1_inst_D5,          //                        .hps_io_usb1_inst_D5
		inout  wire        hps_io_hps_io_usb1_inst_D6,          //                        .hps_io_usb1_inst_D6
		inout  wire        hps_io_hps_io_usb1_inst_D7,          //                        .hps_io_usb1_inst_D7
		input  wire        hps_io_hps_io_usb1_inst_CLK,         //                        .hps_io_usb1_inst_CLK
		output wire        hps_io_hps_io_usb1_inst_STP,         //                        .hps_io_usb1_inst_STP
		input  wire        hps_io_hps_io_usb1_inst_DIR,         //                        .hps_io_usb1_inst_DIR
		input  wire        hps_io_hps_io_usb1_inst_NXT,         //                        .hps_io_usb1_inst_NXT
		output wire        hps_io_hps_io_spim1_inst_CLK,        //                        .hps_io_spim1_inst_CLK
		output wire        hps_io_hps_io_spim1_inst_MOSI,       //                        .hps_io_spim1_inst_MOSI
		input  wire        hps_io_hps_io_spim1_inst_MISO,       //                        .hps_io_spim1_inst_MISO
		output wire        hps_io_hps_io_spim1_inst_SS0,        //                        .hps_io_spim1_inst_SS0
		input  wire        hps_io_hps_io_uart0_inst_RX,         //                        .hps_io_uart0_inst_RX
		output wire        hps_io_hps_io_uart0_inst_TX,         //                        .hps_io_uart0_inst_TX
		inout  wire        hps_io_hps_io_i2c0_inst_SDA,         //                        .hps_io_i2c0_inst_SDA
		inout  wire        hps_io_hps_io_i2c0_inst_SCL,         //                        .hps_io_i2c0_inst_SCL
		inout  wire        hps_io_hps_io_i2c1_inst_SDA,         //                        .hps_io_i2c1_inst_SDA
		inout  wire        hps_io_hps_io_i2c1_inst_SCL,         //                        .hps_io_i2c1_inst_SCL
		inout  wire        hps_io_hps_io_gpio_inst_GPIO09,      //                        .hps_io_gpio_inst_GPIO09
		inout  wire        hps_io_hps_io_gpio_inst_GPIO35,      //                        .hps_io_gpio_inst_GPIO35
		inout  wire        hps_io_hps_io_gpio_inst_GPIO40,      //                        .hps_io_gpio_inst_GPIO40
		inout  wire        hps_io_hps_io_gpio_inst_GPIO41,      //                        .hps_io_gpio_inst_GPIO41
		inout  wire        hps_io_hps_io_gpio_inst_GPIO48,      //                        .hps_io_gpio_inst_GPIO48
		inout  wire        hps_io_hps_io_gpio_inst_GPIO53,      //                        .hps_io_gpio_inst_GPIO53
		inout  wire        hps_io_hps_io_gpio_inst_GPIO54,      //                        .hps_io_gpio_inst_GPIO54
		inout  wire        hps_io_hps_io_gpio_inst_GPIO61,      //                        .hps_io_gpio_inst_GPIO61
		output wire        logic_clk_clk,                       //               logic_clk.clk
		output wire [14:0] memory_mem_a,                        //                  memory.mem_a
		output wire [2:0]  memory_mem_ba,                       //                        .mem_ba
		output wire        memory_mem_ck,                       //                        .mem_ck
		output wire        memory_mem_ck_n,                     //                        .mem_ck_n
		output wire        memory_mem_cke,                      //                        .mem_cke
		output wire        memory_mem_cs_n,                     //                        .mem_cs_n
		output wire        memory_mem_ras_n,                    //                        .mem_ras_n
		output wire        memory_mem_cas_n,                    //                        .mem_cas_n
		output wire        memory_mem_we_n,                     //                        .mem_we_n
		output wire        memory_mem_reset_n,                  //                        .mem_reset_n
		inout  wire [31:0] memory_mem_dq,                       //                        .mem_dq
		inout  wire [3:0]  memory_mem_dqs,                      //                        .mem_dqs
		inout  wire [3:0]  memory_mem_dqs_n,                    //                        .mem_dqs_n
		output wire        memory_mem_odt,                      //                        .mem_odt
		output wire [3:0]  memory_mem_dm,                       //                        .mem_dm
		input  wire        memory_oct_rzqin,                    //                        .oct_rzqin
		input  wire [18:0] onchip_vga_buffer_s1_address,        //    onchip_vga_buffer_s1.address
		input  wire        onchip_vga_buffer_s1_clken,          //                        .clken
		input  wire        onchip_vga_buffer_s1_chipselect,     //                        .chipselect
		input  wire        onchip_vga_buffer_s1_write,          //                        .write
		output wire [7:0]  onchip_vga_buffer_s1_readdata,       //                        .readdata
		input  wire [7:0]  onchip_vga_buffer_s1_writedata,      //                        .writedata
		input  wire        reset_reset_n,                       //                   reset.reset_n
		output wire [12:0] sdram_addr,                          //                   sdram.addr
		output wire [1:0]  sdram_ba,                            //                        .ba
		output wire        sdram_cas_n,                         //                        .cas_n
		output wire        sdram_cke,                           //                        .cke
		output wire        sdram_cs_n,                          //                        .cs_n
		inout  wire [15:0] sdram_dq,                            //                        .dq
		output wire [1:0]  sdram_dqm,                           //                        .dqm
		output wire        sdram_ras_n,                         //                        .ras_n
		output wire        sdram_we_n,                          //                        .we_n
		output wire        sdram_clk_clk,                       //               sdram_clk.clk
		input  wire [31:0] status_bus_export,                   //              status_bus.export
		input  wire [12:0] trigger_bridge_iface_address,        //    trigger_bridge_iface.address
		input  wire [7:0]  trigger_bridge_iface_byte_enable,    //                        .byte_enable
		input  wire        trigger_bridge_iface_read,           //                        .read
		input  wire        trigger_bridge_iface_write,          //                        .write
		input  wire [63:0] trigger_bridge_iface_write_data,     //                        .write_data
		output wire        trigger_bridge_iface_acknowledge,    //                        .acknowledge
		output wire [63:0] trigger_bridge_iface_read_data,      //                        .read_data
		output wire        vga_CLK,                             //                     vga.CLK
		output wire        vga_HS,                              //                        .HS
		output wire        vga_VS,                              //                        .VS
		output wire        vga_BLANK,                           //                        .BLANK
		output wire        vga_SYNC,                            //                        .SYNC
		output wire [7:0]  vga_R,                               //                        .R
		output wire [7:0]  vga_G,                               //                        .G
		output wire [7:0]  vga_B,                               //                        .B
		input  wire        vga_pll_ref_clk_clk,                 //         vga_pll_ref_clk.clk
		input  wire        vga_pll_ref_reset_reset,             //       vga_pll_ref_reset.reset
		input  wire [12:0] vga_writer_bridge_iface_address,     // vga_writer_bridge_iface.address
		input  wire [7:0]  vga_writer_bridge_iface_byte_enable, //                        .byte_enable
		input  wire        vga_writer_bridge_iface_read,        //                        .read
		input  wire        vga_writer_bridge_iface_write,       //                        .write
		input  wire [63:0] vga_writer_bridge_iface_write_data,  //                        .write_data
		output wire        vga_writer_bridge_iface_acknowledge, //                        .acknowledge
		output wire [63:0] vga_writer_bridge_iface_read_data    //                        .read_data
	);

	wire          system_pll_sys_clk_clk;                                               // System_PLL:sys_clk_clk -> [ARM_A9_HPS:f2h_axi_clk, ARM_A9_HPS:h2f_axi_clk, ARM_A9_HPS:h2f_lw_axi_clk, AV_Config:clk, HPS_Overlay_SDRAM:clk, Overlay_SDRAM_DMA_Bridge:clk, Pixel_DMA_Addr_Translation:clk, Pixel_Overlay_Addr_Translator:clk, VGA_Subsystem:sys_clk_clk, mm_interconnect_1:System_PLL_sys_clk_clk, mm_interconnect_2:System_PLL_sys_clk_clk, mm_interconnect_3:System_PLL_sys_clk_clk, mm_interconnect_4:System_PLL_sys_clk_clk, mm_interconnect_5:System_PLL_sys_clk_clk, onchip_vga_buffer:clk2, rst_controller:clk, rst_controller_004:clk, silly_buffer:clk2]
	wire   [63:0] logic_pll_reconfig_from_pll_reconfig_from_pll;                        // logic_pll:reconfig_from_pll -> pll_reconfig_0:reconfig_from_pll
	wire   [63:0] pll_reconfig_0_reconfig_to_pll_reconfig_to_pll;                       // pll_reconfig_0:reconfig_to_pll -> logic_pll:reconfig_to_pll
	wire   [63:0] vga_writer_bridge_avalon_master_readdata;                             // mm_interconnect_0:vga_writer_bridge_avalon_master_readdata -> vga_writer_bridge:avalon_readdata
	wire          vga_writer_bridge_avalon_master_waitrequest;                          // mm_interconnect_0:vga_writer_bridge_avalon_master_waitrequest -> vga_writer_bridge:avalon_waitrequest
	wire    [7:0] vga_writer_bridge_avalon_master_byteenable;                           // vga_writer_bridge:avalon_byteenable -> mm_interconnect_0:vga_writer_bridge_avalon_master_byteenable
	wire          vga_writer_bridge_avalon_master_read;                                 // vga_writer_bridge:avalon_read -> mm_interconnect_0:vga_writer_bridge_avalon_master_read
	wire   [12:0] vga_writer_bridge_avalon_master_address;                              // vga_writer_bridge:avalon_address -> mm_interconnect_0:vga_writer_bridge_avalon_master_address
	wire          vga_writer_bridge_avalon_master_write;                                // vga_writer_bridge:avalon_write -> mm_interconnect_0:vga_writer_bridge_avalon_master_write
	wire   [63:0] vga_writer_bridge_avalon_master_writedata;                            // vga_writer_bridge:avalon_writedata -> mm_interconnect_0:vga_writer_bridge_avalon_master_writedata
	wire   [63:0] trigger_bridge_avalon_master_readdata;                                // mm_interconnect_0:trigger_bridge_avalon_master_readdata -> trigger_bridge:avalon_readdata
	wire          trigger_bridge_avalon_master_waitrequest;                             // mm_interconnect_0:trigger_bridge_avalon_master_waitrequest -> trigger_bridge:avalon_waitrequest
	wire    [7:0] trigger_bridge_avalon_master_byteenable;                              // trigger_bridge:avalon_byteenable -> mm_interconnect_0:trigger_bridge_avalon_master_byteenable
	wire          trigger_bridge_avalon_master_read;                                    // trigger_bridge:avalon_read -> mm_interconnect_0:trigger_bridge_avalon_master_read
	wire   [12:0] trigger_bridge_avalon_master_address;                                 // trigger_bridge:avalon_address -> mm_interconnect_0:trigger_bridge_avalon_master_address
	wire          trigger_bridge_avalon_master_write;                                   // trigger_bridge:avalon_write -> mm_interconnect_0:trigger_bridge_avalon_master_write
	wire   [63:0] trigger_bridge_avalon_master_writedata;                               // trigger_bridge:avalon_writedata -> mm_interconnect_0:trigger_bridge_avalon_master_writedata
	wire          mm_interconnect_0_silly_buffer_s1_chipselect;                         // mm_interconnect_0:silly_buffer_s1_chipselect -> silly_buffer:chipselect
	wire   [63:0] mm_interconnect_0_silly_buffer_s1_readdata;                           // silly_buffer:readdata -> mm_interconnect_0:silly_buffer_s1_readdata
	wire    [9:0] mm_interconnect_0_silly_buffer_s1_address;                            // mm_interconnect_0:silly_buffer_s1_address -> silly_buffer:address
	wire    [7:0] mm_interconnect_0_silly_buffer_s1_byteenable;                         // mm_interconnect_0:silly_buffer_s1_byteenable -> silly_buffer:byteenable
	wire          mm_interconnect_0_silly_buffer_s1_write;                              // mm_interconnect_0:silly_buffer_s1_write -> silly_buffer:write
	wire   [63:0] mm_interconnect_0_silly_buffer_s1_writedata;                          // mm_interconnect_0:silly_buffer_s1_writedata -> silly_buffer:writedata
	wire          mm_interconnect_0_silly_buffer_s1_clken;                              // mm_interconnect_0:silly_buffer_s1_clken -> silly_buffer:clken
	wire    [1:0] arm_a9_hps_h2f_axi_master_awburst;                                    // ARM_A9_HPS:h2f_AWBURST -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_awburst
	wire    [3:0] arm_a9_hps_h2f_axi_master_arlen;                                      // ARM_A9_HPS:h2f_ARLEN -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_arlen
	wire   [15:0] arm_a9_hps_h2f_axi_master_wstrb;                                      // ARM_A9_HPS:h2f_WSTRB -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_wstrb
	wire          arm_a9_hps_h2f_axi_master_wready;                                     // mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_wready -> ARM_A9_HPS:h2f_WREADY
	wire   [11:0] arm_a9_hps_h2f_axi_master_rid;                                        // mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_rid -> ARM_A9_HPS:h2f_RID
	wire          arm_a9_hps_h2f_axi_master_rready;                                     // ARM_A9_HPS:h2f_RREADY -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_rready
	wire    [3:0] arm_a9_hps_h2f_axi_master_awlen;                                      // ARM_A9_HPS:h2f_AWLEN -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_awlen
	wire   [11:0] arm_a9_hps_h2f_axi_master_wid;                                        // ARM_A9_HPS:h2f_WID -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_wid
	wire    [3:0] arm_a9_hps_h2f_axi_master_arcache;                                    // ARM_A9_HPS:h2f_ARCACHE -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_arcache
	wire          arm_a9_hps_h2f_axi_master_wvalid;                                     // ARM_A9_HPS:h2f_WVALID -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_wvalid
	wire   [29:0] arm_a9_hps_h2f_axi_master_araddr;                                     // ARM_A9_HPS:h2f_ARADDR -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_araddr
	wire    [2:0] arm_a9_hps_h2f_axi_master_arprot;                                     // ARM_A9_HPS:h2f_ARPROT -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_arprot
	wire    [2:0] arm_a9_hps_h2f_axi_master_awprot;                                     // ARM_A9_HPS:h2f_AWPROT -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_awprot
	wire  [127:0] arm_a9_hps_h2f_axi_master_wdata;                                      // ARM_A9_HPS:h2f_WDATA -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_wdata
	wire          arm_a9_hps_h2f_axi_master_arvalid;                                    // ARM_A9_HPS:h2f_ARVALID -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_arvalid
	wire    [3:0] arm_a9_hps_h2f_axi_master_awcache;                                    // ARM_A9_HPS:h2f_AWCACHE -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_awcache
	wire   [11:0] arm_a9_hps_h2f_axi_master_arid;                                       // ARM_A9_HPS:h2f_ARID -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_arid
	wire    [1:0] arm_a9_hps_h2f_axi_master_arlock;                                     // ARM_A9_HPS:h2f_ARLOCK -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_arlock
	wire    [1:0] arm_a9_hps_h2f_axi_master_awlock;                                     // ARM_A9_HPS:h2f_AWLOCK -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_awlock
	wire   [29:0] arm_a9_hps_h2f_axi_master_awaddr;                                     // ARM_A9_HPS:h2f_AWADDR -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_awaddr
	wire    [1:0] arm_a9_hps_h2f_axi_master_bresp;                                      // mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_bresp -> ARM_A9_HPS:h2f_BRESP
	wire          arm_a9_hps_h2f_axi_master_arready;                                    // mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_arready -> ARM_A9_HPS:h2f_ARREADY
	wire  [127:0] arm_a9_hps_h2f_axi_master_rdata;                                      // mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_rdata -> ARM_A9_HPS:h2f_RDATA
	wire          arm_a9_hps_h2f_axi_master_awready;                                    // mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_awready -> ARM_A9_HPS:h2f_AWREADY
	wire    [1:0] arm_a9_hps_h2f_axi_master_arburst;                                    // ARM_A9_HPS:h2f_ARBURST -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_arburst
	wire    [2:0] arm_a9_hps_h2f_axi_master_arsize;                                     // ARM_A9_HPS:h2f_ARSIZE -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_arsize
	wire          arm_a9_hps_h2f_axi_master_bready;                                     // ARM_A9_HPS:h2f_BREADY -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_bready
	wire          arm_a9_hps_h2f_axi_master_rlast;                                      // mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_rlast -> ARM_A9_HPS:h2f_RLAST
	wire          arm_a9_hps_h2f_axi_master_wlast;                                      // ARM_A9_HPS:h2f_WLAST -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_wlast
	wire    [1:0] arm_a9_hps_h2f_axi_master_rresp;                                      // mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_rresp -> ARM_A9_HPS:h2f_RRESP
	wire   [11:0] arm_a9_hps_h2f_axi_master_awid;                                       // ARM_A9_HPS:h2f_AWID -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_awid
	wire   [11:0] arm_a9_hps_h2f_axi_master_bid;                                        // mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_bid -> ARM_A9_HPS:h2f_BID
	wire          arm_a9_hps_h2f_axi_master_bvalid;                                     // mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_bvalid -> ARM_A9_HPS:h2f_BVALID
	wire    [2:0] arm_a9_hps_h2f_axi_master_awsize;                                     // ARM_A9_HPS:h2f_AWSIZE -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_awsize
	wire          arm_a9_hps_h2f_axi_master_awvalid;                                    // ARM_A9_HPS:h2f_AWVALID -> mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_awvalid
	wire          arm_a9_hps_h2f_axi_master_rvalid;                                     // mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_rvalid -> ARM_A9_HPS:h2f_RVALID
	wire          vga_subsystem_pixel_dma_master_waitrequest;                           // mm_interconnect_1:VGA_Subsystem_pixel_dma_master_waitrequest -> VGA_Subsystem:pixel_dma_master_waitrequest
	wire    [7:0] vga_subsystem_pixel_dma_master_readdata;                              // mm_interconnect_1:VGA_Subsystem_pixel_dma_master_readdata -> VGA_Subsystem:pixel_dma_master_readdata
	wire   [31:0] vga_subsystem_pixel_dma_master_address;                               // VGA_Subsystem:pixel_dma_master_address -> mm_interconnect_1:VGA_Subsystem_pixel_dma_master_address
	wire          vga_subsystem_pixel_dma_master_read;                                  // VGA_Subsystem:pixel_dma_master_read -> mm_interconnect_1:VGA_Subsystem_pixel_dma_master_read
	wire          vga_subsystem_pixel_dma_master_readdatavalid;                         // mm_interconnect_1:VGA_Subsystem_pixel_dma_master_readdatavalid -> VGA_Subsystem:pixel_dma_master_readdatavalid
	wire          vga_subsystem_pixel_dma_master_lock;                                  // VGA_Subsystem:pixel_dma_master_lock -> mm_interconnect_1:VGA_Subsystem_pixel_dma_master_lock
	wire          overlay_sdram_dma_bridge_m0_waitrequest;                              // mm_interconnect_1:Overlay_SDRAM_DMA_Bridge_m0_waitrequest -> Overlay_SDRAM_DMA_Bridge:m0_waitrequest
	wire   [31:0] overlay_sdram_dma_bridge_m0_readdata;                                 // mm_interconnect_1:Overlay_SDRAM_DMA_Bridge_m0_readdata -> Overlay_SDRAM_DMA_Bridge:m0_readdata
	wire          overlay_sdram_dma_bridge_m0_debugaccess;                              // Overlay_SDRAM_DMA_Bridge:m0_debugaccess -> mm_interconnect_1:Overlay_SDRAM_DMA_Bridge_m0_debugaccess
	wire   [31:0] overlay_sdram_dma_bridge_m0_address;                                  // Overlay_SDRAM_DMA_Bridge:m0_address -> mm_interconnect_1:Overlay_SDRAM_DMA_Bridge_m0_address
	wire          overlay_sdram_dma_bridge_m0_read;                                     // Overlay_SDRAM_DMA_Bridge:m0_read -> mm_interconnect_1:Overlay_SDRAM_DMA_Bridge_m0_read
	wire    [3:0] overlay_sdram_dma_bridge_m0_byteenable;                               // Overlay_SDRAM_DMA_Bridge:m0_byteenable -> mm_interconnect_1:Overlay_SDRAM_DMA_Bridge_m0_byteenable
	wire          overlay_sdram_dma_bridge_m0_readdatavalid;                            // mm_interconnect_1:Overlay_SDRAM_DMA_Bridge_m0_readdatavalid -> Overlay_SDRAM_DMA_Bridge:m0_readdatavalid
	wire   [31:0] overlay_sdram_dma_bridge_m0_writedata;                                // Overlay_SDRAM_DMA_Bridge:m0_writedata -> mm_interconnect_1:Overlay_SDRAM_DMA_Bridge_m0_writedata
	wire          overlay_sdram_dma_bridge_m0_write;                                    // Overlay_SDRAM_DMA_Bridge:m0_write -> mm_interconnect_1:Overlay_SDRAM_DMA_Bridge_m0_write
	wire    [0:0] overlay_sdram_dma_bridge_m0_burstcount;                               // Overlay_SDRAM_DMA_Bridge:m0_burstcount -> mm_interconnect_1:Overlay_SDRAM_DMA_Bridge_m0_burstcount
	wire          mm_interconnect_1_vga_subsystem_char_buffer_slave_chipselect;         // mm_interconnect_1:VGA_Subsystem_char_buffer_slave_chipselect -> VGA_Subsystem:char_buffer_slave_chipselect
	wire    [7:0] mm_interconnect_1_vga_subsystem_char_buffer_slave_readdata;           // VGA_Subsystem:char_buffer_slave_readdata -> mm_interconnect_1:VGA_Subsystem_char_buffer_slave_readdata
	wire          mm_interconnect_1_vga_subsystem_char_buffer_slave_waitrequest;        // VGA_Subsystem:char_buffer_slave_waitrequest -> mm_interconnect_1:VGA_Subsystem_char_buffer_slave_waitrequest
	wire   [12:0] mm_interconnect_1_vga_subsystem_char_buffer_slave_address;            // mm_interconnect_1:VGA_Subsystem_char_buffer_slave_address -> VGA_Subsystem:char_buffer_slave_address
	wire          mm_interconnect_1_vga_subsystem_char_buffer_slave_read;               // mm_interconnect_1:VGA_Subsystem_char_buffer_slave_read -> VGA_Subsystem:char_buffer_slave_read
	wire    [0:0] mm_interconnect_1_vga_subsystem_char_buffer_slave_byteenable;         // mm_interconnect_1:VGA_Subsystem_char_buffer_slave_byteenable -> VGA_Subsystem:char_buffer_slave_byteenable
	wire          mm_interconnect_1_vga_subsystem_char_buffer_slave_write;              // mm_interconnect_1:VGA_Subsystem_char_buffer_slave_write -> VGA_Subsystem:char_buffer_slave_write
	wire    [7:0] mm_interconnect_1_vga_subsystem_char_buffer_slave_writedata;          // mm_interconnect_1:VGA_Subsystem_char_buffer_slave_writedata -> VGA_Subsystem:char_buffer_slave_writedata
	wire          mm_interconnect_1_hps_overlay_sdram_s1_chipselect;                    // mm_interconnect_1:HPS_Overlay_SDRAM_s1_chipselect -> HPS_Overlay_SDRAM:az_cs
	wire   [15:0] mm_interconnect_1_hps_overlay_sdram_s1_readdata;                      // HPS_Overlay_SDRAM:za_data -> mm_interconnect_1:HPS_Overlay_SDRAM_s1_readdata
	wire          mm_interconnect_1_hps_overlay_sdram_s1_waitrequest;                   // HPS_Overlay_SDRAM:za_waitrequest -> mm_interconnect_1:HPS_Overlay_SDRAM_s1_waitrequest
	wire   [24:0] mm_interconnect_1_hps_overlay_sdram_s1_address;                       // mm_interconnect_1:HPS_Overlay_SDRAM_s1_address -> HPS_Overlay_SDRAM:az_addr
	wire          mm_interconnect_1_hps_overlay_sdram_s1_read;                          // mm_interconnect_1:HPS_Overlay_SDRAM_s1_read -> HPS_Overlay_SDRAM:az_rd_n
	wire    [1:0] mm_interconnect_1_hps_overlay_sdram_s1_byteenable;                    // mm_interconnect_1:HPS_Overlay_SDRAM_s1_byteenable -> HPS_Overlay_SDRAM:az_be_n
	wire          mm_interconnect_1_hps_overlay_sdram_s1_readdatavalid;                 // HPS_Overlay_SDRAM:za_valid -> mm_interconnect_1:HPS_Overlay_SDRAM_s1_readdatavalid
	wire          mm_interconnect_1_hps_overlay_sdram_s1_write;                         // mm_interconnect_1:HPS_Overlay_SDRAM_s1_write -> HPS_Overlay_SDRAM:az_wr_n
	wire   [15:0] mm_interconnect_1_hps_overlay_sdram_s1_writedata;                     // mm_interconnect_1:HPS_Overlay_SDRAM_s1_writedata -> HPS_Overlay_SDRAM:az_data
	wire          mm_interconnect_1_onchip_vga_buffer_s2_chipselect;                    // mm_interconnect_1:onchip_vga_buffer_s2_chipselect -> onchip_vga_buffer:chipselect2
	wire    [7:0] mm_interconnect_1_onchip_vga_buffer_s2_readdata;                      // onchip_vga_buffer:readdata2 -> mm_interconnect_1:onchip_vga_buffer_s2_readdata
	wire   [18:0] mm_interconnect_1_onchip_vga_buffer_s2_address;                       // mm_interconnect_1:onchip_vga_buffer_s2_address -> onchip_vga_buffer:address2
	wire          mm_interconnect_1_onchip_vga_buffer_s2_write;                         // mm_interconnect_1:onchip_vga_buffer_s2_write -> onchip_vga_buffer:write2
	wire    [7:0] mm_interconnect_1_onchip_vga_buffer_s2_writedata;                     // mm_interconnect_1:onchip_vga_buffer_s2_writedata -> onchip_vga_buffer:writedata2
	wire          mm_interconnect_1_onchip_vga_buffer_s2_clken;                         // mm_interconnect_1:onchip_vga_buffer_s2_clken -> onchip_vga_buffer:clken2
	wire          mm_interconnect_1_silly_buffer_s2_chipselect;                         // mm_interconnect_1:silly_buffer_s2_chipselect -> silly_buffer:chipselect2
	wire   [63:0] mm_interconnect_1_silly_buffer_s2_readdata;                           // silly_buffer:readdata2 -> mm_interconnect_1:silly_buffer_s2_readdata
	wire    [9:0] mm_interconnect_1_silly_buffer_s2_address;                            // mm_interconnect_1:silly_buffer_s2_address -> silly_buffer:address2
	wire    [7:0] mm_interconnect_1_silly_buffer_s2_byteenable;                         // mm_interconnect_1:silly_buffer_s2_byteenable -> silly_buffer:byteenable2
	wire          mm_interconnect_1_silly_buffer_s2_write;                              // mm_interconnect_1:silly_buffer_s2_write -> silly_buffer:write2
	wire   [63:0] mm_interconnect_1_silly_buffer_s2_writedata;                          // mm_interconnect_1:silly_buffer_s2_writedata -> silly_buffer:writedata2
	wire          mm_interconnect_1_silly_buffer_s2_clken;                              // mm_interconnect_1:silly_buffer_s2_clken -> silly_buffer:clken2
	wire    [1:0] arm_a9_hps_h2f_lw_axi_master_awburst;                                 // ARM_A9_HPS:h2f_lw_AWBURST -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_awburst
	wire    [3:0] arm_a9_hps_h2f_lw_axi_master_arlen;                                   // ARM_A9_HPS:h2f_lw_ARLEN -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_arlen
	wire    [3:0] arm_a9_hps_h2f_lw_axi_master_wstrb;                                   // ARM_A9_HPS:h2f_lw_WSTRB -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_wstrb
	wire          arm_a9_hps_h2f_lw_axi_master_wready;                                  // mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_wready -> ARM_A9_HPS:h2f_lw_WREADY
	wire   [11:0] arm_a9_hps_h2f_lw_axi_master_rid;                                     // mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_rid -> ARM_A9_HPS:h2f_lw_RID
	wire          arm_a9_hps_h2f_lw_axi_master_rready;                                  // ARM_A9_HPS:h2f_lw_RREADY -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_rready
	wire    [3:0] arm_a9_hps_h2f_lw_axi_master_awlen;                                   // ARM_A9_HPS:h2f_lw_AWLEN -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_awlen
	wire   [11:0] arm_a9_hps_h2f_lw_axi_master_wid;                                     // ARM_A9_HPS:h2f_lw_WID -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_wid
	wire    [3:0] arm_a9_hps_h2f_lw_axi_master_arcache;                                 // ARM_A9_HPS:h2f_lw_ARCACHE -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_arcache
	wire          arm_a9_hps_h2f_lw_axi_master_wvalid;                                  // ARM_A9_HPS:h2f_lw_WVALID -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_wvalid
	wire   [20:0] arm_a9_hps_h2f_lw_axi_master_araddr;                                  // ARM_A9_HPS:h2f_lw_ARADDR -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_araddr
	wire    [2:0] arm_a9_hps_h2f_lw_axi_master_arprot;                                  // ARM_A9_HPS:h2f_lw_ARPROT -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_arprot
	wire    [2:0] arm_a9_hps_h2f_lw_axi_master_awprot;                                  // ARM_A9_HPS:h2f_lw_AWPROT -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_awprot
	wire   [31:0] arm_a9_hps_h2f_lw_axi_master_wdata;                                   // ARM_A9_HPS:h2f_lw_WDATA -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_wdata
	wire          arm_a9_hps_h2f_lw_axi_master_arvalid;                                 // ARM_A9_HPS:h2f_lw_ARVALID -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_arvalid
	wire    [3:0] arm_a9_hps_h2f_lw_axi_master_awcache;                                 // ARM_A9_HPS:h2f_lw_AWCACHE -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_awcache
	wire   [11:0] arm_a9_hps_h2f_lw_axi_master_arid;                                    // ARM_A9_HPS:h2f_lw_ARID -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_arid
	wire    [1:0] arm_a9_hps_h2f_lw_axi_master_arlock;                                  // ARM_A9_HPS:h2f_lw_ARLOCK -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_arlock
	wire    [1:0] arm_a9_hps_h2f_lw_axi_master_awlock;                                  // ARM_A9_HPS:h2f_lw_AWLOCK -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_awlock
	wire   [20:0] arm_a9_hps_h2f_lw_axi_master_awaddr;                                  // ARM_A9_HPS:h2f_lw_AWADDR -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_awaddr
	wire    [1:0] arm_a9_hps_h2f_lw_axi_master_bresp;                                   // mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_bresp -> ARM_A9_HPS:h2f_lw_BRESP
	wire          arm_a9_hps_h2f_lw_axi_master_arready;                                 // mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_arready -> ARM_A9_HPS:h2f_lw_ARREADY
	wire   [31:0] arm_a9_hps_h2f_lw_axi_master_rdata;                                   // mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_rdata -> ARM_A9_HPS:h2f_lw_RDATA
	wire          arm_a9_hps_h2f_lw_axi_master_awready;                                 // mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_awready -> ARM_A9_HPS:h2f_lw_AWREADY
	wire    [1:0] arm_a9_hps_h2f_lw_axi_master_arburst;                                 // ARM_A9_HPS:h2f_lw_ARBURST -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_arburst
	wire    [2:0] arm_a9_hps_h2f_lw_axi_master_arsize;                                  // ARM_A9_HPS:h2f_lw_ARSIZE -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_arsize
	wire          arm_a9_hps_h2f_lw_axi_master_bready;                                  // ARM_A9_HPS:h2f_lw_BREADY -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_bready
	wire          arm_a9_hps_h2f_lw_axi_master_rlast;                                   // mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_rlast -> ARM_A9_HPS:h2f_lw_RLAST
	wire          arm_a9_hps_h2f_lw_axi_master_wlast;                                   // ARM_A9_HPS:h2f_lw_WLAST -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_wlast
	wire    [1:0] arm_a9_hps_h2f_lw_axi_master_rresp;                                   // mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_rresp -> ARM_A9_HPS:h2f_lw_RRESP
	wire   [11:0] arm_a9_hps_h2f_lw_axi_master_awid;                                    // ARM_A9_HPS:h2f_lw_AWID -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_awid
	wire   [11:0] arm_a9_hps_h2f_lw_axi_master_bid;                                     // mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_bid -> ARM_A9_HPS:h2f_lw_BID
	wire          arm_a9_hps_h2f_lw_axi_master_bvalid;                                  // mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_bvalid -> ARM_A9_HPS:h2f_lw_BVALID
	wire    [2:0] arm_a9_hps_h2f_lw_axi_master_awsize;                                  // ARM_A9_HPS:h2f_lw_AWSIZE -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_awsize
	wire          arm_a9_hps_h2f_lw_axi_master_awvalid;                                 // ARM_A9_HPS:h2f_lw_AWVALID -> mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_awvalid
	wire          arm_a9_hps_h2f_lw_axi_master_rvalid;                                  // mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_rvalid -> ARM_A9_HPS:h2f_lw_RVALID
	wire   [31:0] mm_interconnect_2_av_config_avalon_av_config_slave_readdata;          // AV_Config:readdata -> mm_interconnect_2:AV_Config_avalon_av_config_slave_readdata
	wire          mm_interconnect_2_av_config_avalon_av_config_slave_waitrequest;       // AV_Config:waitrequest -> mm_interconnect_2:AV_Config_avalon_av_config_slave_waitrequest
	wire    [1:0] mm_interconnect_2_av_config_avalon_av_config_slave_address;           // mm_interconnect_2:AV_Config_avalon_av_config_slave_address -> AV_Config:address
	wire          mm_interconnect_2_av_config_avalon_av_config_slave_read;              // mm_interconnect_2:AV_Config_avalon_av_config_slave_read -> AV_Config:read
	wire    [3:0] mm_interconnect_2_av_config_avalon_av_config_slave_byteenable;        // mm_interconnect_2:AV_Config_avalon_av_config_slave_byteenable -> AV_Config:byteenable
	wire          mm_interconnect_2_av_config_avalon_av_config_slave_write;             // mm_interconnect_2:AV_Config_avalon_av_config_slave_write -> AV_Config:write
	wire   [31:0] mm_interconnect_2_av_config_avalon_av_config_slave_writedata;         // mm_interconnect_2:AV_Config_avalon_av_config_slave_writedata -> AV_Config:writedata
	wire          mm_interconnect_2_vga_subsystem_char_buffer_control_slave_chipselect; // mm_interconnect_2:VGA_Subsystem_char_buffer_control_slave_chipselect -> VGA_Subsystem:char_buffer_control_slave_chipselect
	wire   [31:0] mm_interconnect_2_vga_subsystem_char_buffer_control_slave_readdata;   // VGA_Subsystem:char_buffer_control_slave_readdata -> mm_interconnect_2:VGA_Subsystem_char_buffer_control_slave_readdata
	wire    [0:0] mm_interconnect_2_vga_subsystem_char_buffer_control_slave_address;    // mm_interconnect_2:VGA_Subsystem_char_buffer_control_slave_address -> VGA_Subsystem:char_buffer_control_slave_address
	wire          mm_interconnect_2_vga_subsystem_char_buffer_control_slave_read;       // mm_interconnect_2:VGA_Subsystem_char_buffer_control_slave_read -> VGA_Subsystem:char_buffer_control_slave_read
	wire    [3:0] mm_interconnect_2_vga_subsystem_char_buffer_control_slave_byteenable; // mm_interconnect_2:VGA_Subsystem_char_buffer_control_slave_byteenable -> VGA_Subsystem:char_buffer_control_slave_byteenable
	wire          mm_interconnect_2_vga_subsystem_char_buffer_control_slave_write;      // mm_interconnect_2:VGA_Subsystem_char_buffer_control_slave_write -> VGA_Subsystem:char_buffer_control_slave_write
	wire   [31:0] mm_interconnect_2_vga_subsystem_char_buffer_control_slave_writedata;  // mm_interconnect_2:VGA_Subsystem_char_buffer_control_slave_writedata -> VGA_Subsystem:char_buffer_control_slave_writedata
	wire   [31:0] mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_readdata;          // pll_reconfig_0:mgmt_readdata -> mm_interconnect_2:pll_reconfig_0_mgmt_avalon_slave_readdata
	wire          mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_waitrequest;       // pll_reconfig_0:mgmt_waitrequest -> mm_interconnect_2:pll_reconfig_0_mgmt_avalon_slave_waitrequest
	wire    [5:0] mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_address;           // mm_interconnect_2:pll_reconfig_0_mgmt_avalon_slave_address -> pll_reconfig_0:mgmt_address
	wire          mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_read;              // mm_interconnect_2:pll_reconfig_0_mgmt_avalon_slave_read -> pll_reconfig_0:mgmt_read
	wire          mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_write;             // mm_interconnect_2:pll_reconfig_0_mgmt_avalon_slave_write -> pll_reconfig_0:mgmt_write
	wire   [31:0] mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_writedata;         // mm_interconnect_2:pll_reconfig_0_mgmt_avalon_slave_writedata -> pll_reconfig_0:mgmt_writedata
	wire          mm_interconnect_2_cfg_pio_s1_chipselect;                              // mm_interconnect_2:cfg_pio_s1_chipselect -> cfg_pio:chipselect
	wire   [31:0] mm_interconnect_2_cfg_pio_s1_readdata;                                // cfg_pio:readdata -> mm_interconnect_2:cfg_pio_s1_readdata
	wire    [1:0] mm_interconnect_2_cfg_pio_s1_address;                                 // mm_interconnect_2:cfg_pio_s1_address -> cfg_pio:address
	wire          mm_interconnect_2_cfg_pio_s1_write;                                   // mm_interconnect_2:cfg_pio_s1_write -> cfg_pio:write_n
	wire   [31:0] mm_interconnect_2_cfg_pio_s1_writedata;                               // mm_interconnect_2:cfg_pio_s1_writedata -> cfg_pio:writedata
	wire   [31:0] mm_interconnect_2_status_pio_s1_readdata;                             // status_pio:readdata -> mm_interconnect_2:status_pio_s1_readdata
	wire    [1:0] mm_interconnect_2_status_pio_s1_address;                              // mm_interconnect_2:status_pio_s1_address -> status_pio:address
	wire   [31:0] mm_interconnect_2_pixel_dma_addr_translation_slave_readdata;          // Pixel_DMA_Addr_Translation:slave_readdata -> mm_interconnect_2:Pixel_DMA_Addr_Translation_slave_readdata
	wire          mm_interconnect_2_pixel_dma_addr_translation_slave_waitrequest;       // Pixel_DMA_Addr_Translation:slave_waitrequest -> mm_interconnect_2:Pixel_DMA_Addr_Translation_slave_waitrequest
	wire    [1:0] mm_interconnect_2_pixel_dma_addr_translation_slave_address;           // mm_interconnect_2:Pixel_DMA_Addr_Translation_slave_address -> Pixel_DMA_Addr_Translation:slave_address
	wire          mm_interconnect_2_pixel_dma_addr_translation_slave_read;              // mm_interconnect_2:Pixel_DMA_Addr_Translation_slave_read -> Pixel_DMA_Addr_Translation:slave_read
	wire    [3:0] mm_interconnect_2_pixel_dma_addr_translation_slave_byteenable;        // mm_interconnect_2:Pixel_DMA_Addr_Translation_slave_byteenable -> Pixel_DMA_Addr_Translation:slave_byteenable
	wire          mm_interconnect_2_pixel_dma_addr_translation_slave_write;             // mm_interconnect_2:Pixel_DMA_Addr_Translation_slave_write -> Pixel_DMA_Addr_Translation:slave_write
	wire   [31:0] mm_interconnect_2_pixel_dma_addr_translation_slave_writedata;         // mm_interconnect_2:Pixel_DMA_Addr_Translation_slave_writedata -> Pixel_DMA_Addr_Translation:slave_writedata
	wire   [31:0] mm_interconnect_2_pixel_overlay_addr_translator_slave_readdata;       // Pixel_Overlay_Addr_Translator:slave_readdata -> mm_interconnect_2:Pixel_Overlay_Addr_Translator_slave_readdata
	wire          mm_interconnect_2_pixel_overlay_addr_translator_slave_waitrequest;    // Pixel_Overlay_Addr_Translator:slave_waitrequest -> mm_interconnect_2:Pixel_Overlay_Addr_Translator_slave_waitrequest
	wire    [1:0] mm_interconnect_2_pixel_overlay_addr_translator_slave_address;        // mm_interconnect_2:Pixel_Overlay_Addr_Translator_slave_address -> Pixel_Overlay_Addr_Translator:slave_address
	wire          mm_interconnect_2_pixel_overlay_addr_translator_slave_read;           // mm_interconnect_2:Pixel_Overlay_Addr_Translator_slave_read -> Pixel_Overlay_Addr_Translator:slave_read
	wire    [3:0] mm_interconnect_2_pixel_overlay_addr_translator_slave_byteenable;     // mm_interconnect_2:Pixel_Overlay_Addr_Translator_slave_byteenable -> Pixel_Overlay_Addr_Translator:slave_byteenable
	wire          mm_interconnect_2_pixel_overlay_addr_translator_slave_write;          // mm_interconnect_2:Pixel_Overlay_Addr_Translator_slave_write -> Pixel_Overlay_Addr_Translator:slave_write
	wire   [31:0] mm_interconnect_2_pixel_overlay_addr_translator_slave_writedata;      // mm_interconnect_2:Pixel_Overlay_Addr_Translator_slave_writedata -> Pixel_Overlay_Addr_Translator:slave_writedata
	wire   [31:0] pixel_overlay_addr_translator_master_readdata;                        // mm_interconnect_3:Pixel_Overlay_Addr_Translator_master_readdata -> Pixel_Overlay_Addr_Translator:master_readdata
	wire          pixel_overlay_addr_translator_master_waitrequest;                     // mm_interconnect_3:Pixel_Overlay_Addr_Translator_master_waitrequest -> Pixel_Overlay_Addr_Translator:master_waitrequest
	wire    [1:0] pixel_overlay_addr_translator_master_address;                         // Pixel_Overlay_Addr_Translator:master_address -> mm_interconnect_3:Pixel_Overlay_Addr_Translator_master_address
	wire    [3:0] pixel_overlay_addr_translator_master_byteenable;                      // Pixel_Overlay_Addr_Translator:master_byteenable -> mm_interconnect_3:Pixel_Overlay_Addr_Translator_master_byteenable
	wire          pixel_overlay_addr_translator_master_read;                            // Pixel_Overlay_Addr_Translator:master_read -> mm_interconnect_3:Pixel_Overlay_Addr_Translator_master_read
	wire          pixel_overlay_addr_translator_master_write;                           // Pixel_Overlay_Addr_Translator:master_write -> mm_interconnect_3:Pixel_Overlay_Addr_Translator_master_write
	wire   [31:0] pixel_overlay_addr_translator_master_writedata;                       // Pixel_Overlay_Addr_Translator:master_writedata -> mm_interconnect_3:Pixel_Overlay_Addr_Translator_master_writedata
	wire   [31:0] mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_readdata;   // VGA_Subsystem:overlay_dma_control_slave_readdata -> mm_interconnect_3:VGA_Subsystem_overlay_dma_control_slave_readdata
	wire    [1:0] mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_address;    // mm_interconnect_3:VGA_Subsystem_overlay_dma_control_slave_address -> VGA_Subsystem:overlay_dma_control_slave_address
	wire          mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_read;       // mm_interconnect_3:VGA_Subsystem_overlay_dma_control_slave_read -> VGA_Subsystem:overlay_dma_control_slave_read
	wire    [3:0] mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_byteenable; // mm_interconnect_3:VGA_Subsystem_overlay_dma_control_slave_byteenable -> VGA_Subsystem:overlay_dma_control_slave_byteenable
	wire          mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_write;      // mm_interconnect_3:VGA_Subsystem_overlay_dma_control_slave_write -> VGA_Subsystem:overlay_dma_control_slave_write
	wire   [31:0] mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_writedata;  // mm_interconnect_3:VGA_Subsystem_overlay_dma_control_slave_writedata -> VGA_Subsystem:overlay_dma_control_slave_writedata
	wire   [31:0] pixel_dma_addr_translation_master_readdata;                           // mm_interconnect_4:Pixel_DMA_Addr_Translation_master_readdata -> Pixel_DMA_Addr_Translation:master_readdata
	wire          pixel_dma_addr_translation_master_waitrequest;                        // mm_interconnect_4:Pixel_DMA_Addr_Translation_master_waitrequest -> Pixel_DMA_Addr_Translation:master_waitrequest
	wire    [1:0] pixel_dma_addr_translation_master_address;                            // Pixel_DMA_Addr_Translation:master_address -> mm_interconnect_4:Pixel_DMA_Addr_Translation_master_address
	wire    [3:0] pixel_dma_addr_translation_master_byteenable;                         // Pixel_DMA_Addr_Translation:master_byteenable -> mm_interconnect_4:Pixel_DMA_Addr_Translation_master_byteenable
	wire          pixel_dma_addr_translation_master_read;                               // Pixel_DMA_Addr_Translation:master_read -> mm_interconnect_4:Pixel_DMA_Addr_Translation_master_read
	wire          pixel_dma_addr_translation_master_write;                              // Pixel_DMA_Addr_Translation:master_write -> mm_interconnect_4:Pixel_DMA_Addr_Translation_master_write
	wire   [31:0] pixel_dma_addr_translation_master_writedata;                          // Pixel_DMA_Addr_Translation:master_writedata -> mm_interconnect_4:Pixel_DMA_Addr_Translation_master_writedata
	wire   [31:0] mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_readdata;     // VGA_Subsystem:pixel_dma_control_slave_readdata -> mm_interconnect_4:VGA_Subsystem_pixel_dma_control_slave_readdata
	wire    [1:0] mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_address;      // mm_interconnect_4:VGA_Subsystem_pixel_dma_control_slave_address -> VGA_Subsystem:pixel_dma_control_slave_address
	wire          mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_read;         // mm_interconnect_4:VGA_Subsystem_pixel_dma_control_slave_read -> VGA_Subsystem:pixel_dma_control_slave_read
	wire    [3:0] mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_byteenable;   // mm_interconnect_4:VGA_Subsystem_pixel_dma_control_slave_byteenable -> VGA_Subsystem:pixel_dma_control_slave_byteenable
	wire          mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_write;        // mm_interconnect_4:VGA_Subsystem_pixel_dma_control_slave_write -> VGA_Subsystem:pixel_dma_control_slave_write
	wire   [31:0] mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_writedata;    // mm_interconnect_4:VGA_Subsystem_pixel_dma_control_slave_writedata -> VGA_Subsystem:pixel_dma_control_slave_writedata
	wire          vga_subsystem_overlay_dma_master_waitrequest;                         // mm_interconnect_5:VGA_Subsystem_overlay_dma_master_waitrequest -> VGA_Subsystem:overlay_dma_master_waitrequest
	wire   [31:0] vga_subsystem_overlay_dma_master_readdata;                            // mm_interconnect_5:VGA_Subsystem_overlay_dma_master_readdata -> VGA_Subsystem:overlay_dma_master_readdata
	wire   [31:0] vga_subsystem_overlay_dma_master_address;                             // VGA_Subsystem:overlay_dma_master_address -> mm_interconnect_5:VGA_Subsystem_overlay_dma_master_address
	wire          vga_subsystem_overlay_dma_master_read;                                // VGA_Subsystem:overlay_dma_master_read -> mm_interconnect_5:VGA_Subsystem_overlay_dma_master_read
	wire          vga_subsystem_overlay_dma_master_readdatavalid;                       // mm_interconnect_5:VGA_Subsystem_overlay_dma_master_readdatavalid -> VGA_Subsystem:overlay_dma_master_readdatavalid
	wire          vga_subsystem_overlay_dma_master_lock;                                // VGA_Subsystem:overlay_dma_master_lock -> mm_interconnect_5:VGA_Subsystem_overlay_dma_master_lock
	wire   [31:0] mm_interconnect_5_overlay_sdram_dma_bridge_s0_readdata;               // Overlay_SDRAM_DMA_Bridge:s0_readdata -> mm_interconnect_5:Overlay_SDRAM_DMA_Bridge_s0_readdata
	wire          mm_interconnect_5_overlay_sdram_dma_bridge_s0_waitrequest;            // Overlay_SDRAM_DMA_Bridge:s0_waitrequest -> mm_interconnect_5:Overlay_SDRAM_DMA_Bridge_s0_waitrequest
	wire          mm_interconnect_5_overlay_sdram_dma_bridge_s0_debugaccess;            // mm_interconnect_5:Overlay_SDRAM_DMA_Bridge_s0_debugaccess -> Overlay_SDRAM_DMA_Bridge:s0_debugaccess
	wire   [31:0] mm_interconnect_5_overlay_sdram_dma_bridge_s0_address;                // mm_interconnect_5:Overlay_SDRAM_DMA_Bridge_s0_address -> Overlay_SDRAM_DMA_Bridge:s0_address
	wire          mm_interconnect_5_overlay_sdram_dma_bridge_s0_read;                   // mm_interconnect_5:Overlay_SDRAM_DMA_Bridge_s0_read -> Overlay_SDRAM_DMA_Bridge:s0_read
	wire    [3:0] mm_interconnect_5_overlay_sdram_dma_bridge_s0_byteenable;             // mm_interconnect_5:Overlay_SDRAM_DMA_Bridge_s0_byteenable -> Overlay_SDRAM_DMA_Bridge:s0_byteenable
	wire          mm_interconnect_5_overlay_sdram_dma_bridge_s0_readdatavalid;          // Overlay_SDRAM_DMA_Bridge:s0_readdatavalid -> mm_interconnect_5:Overlay_SDRAM_DMA_Bridge_s0_readdatavalid
	wire          mm_interconnect_5_overlay_sdram_dma_bridge_s0_write;                  // mm_interconnect_5:Overlay_SDRAM_DMA_Bridge_s0_write -> Overlay_SDRAM_DMA_Bridge:s0_write
	wire   [31:0] mm_interconnect_5_overlay_sdram_dma_bridge_s0_writedata;              // mm_interconnect_5:Overlay_SDRAM_DMA_Bridge_s0_writedata -> Overlay_SDRAM_DMA_Bridge:s0_writedata
	wire    [0:0] mm_interconnect_5_overlay_sdram_dma_bridge_s0_burstcount;             // mm_interconnect_5:Overlay_SDRAM_DMA_Bridge_s0_burstcount -> Overlay_SDRAM_DMA_Bridge:s0_burstcount
	wire   [31:0] arm_a9_hps_f2h_irq0_irq;                                              // irq_mapper:sender_irq -> ARM_A9_HPS:f2h_irq_p0
	wire   [31:0] arm_a9_hps_f2h_irq1_irq;                                              // irq_mapper_001:sender_irq -> ARM_A9_HPS:f2h_irq_p1
	wire          rst_controller_reset_out_reset;                                       // rst_controller:reset_out -> [AV_Config:reset, HPS_Overlay_SDRAM:reset_n, Overlay_SDRAM_DMA_Bridge:reset, Pixel_DMA_Addr_Translation:reset, Pixel_Overlay_Addr_Translator:reset, mm_interconnect_1:Overlay_SDRAM_DMA_Bridge_reset_reset_bridge_in_reset_reset, mm_interconnect_1:VGA_Subsystem_sys_reset_reset_bridge_in_reset_reset, mm_interconnect_2:AV_Config_reset_reset_bridge_in_reset_reset, mm_interconnect_2:VGA_Subsystem_sys_reset_reset_bridge_in_reset_reset, mm_interconnect_3:Pixel_Overlay_Addr_Translator_reset_reset_bridge_in_reset_reset, mm_interconnect_3:VGA_Subsystem_sys_reset_reset_bridge_in_reset_reset, mm_interconnect_4:Pixel_DMA_Addr_Translation_reset_reset_bridge_in_reset_reset, mm_interconnect_4:VGA_Subsystem_sys_reset_reset_bridge_in_reset_reset, mm_interconnect_5:Overlay_SDRAM_DMA_Bridge_reset_reset_bridge_in_reset_reset, mm_interconnect_5:VGA_Subsystem_sys_reset_reset_bridge_in_reset_reset, onchip_vga_buffer:reset2, rst_translator:in_reset, silly_buffer:reset2]
	wire          rst_controller_reset_out_reset_req;                                   // rst_controller:reset_req -> [onchip_vga_buffer:reset_req2, rst_translator:reset_req_in, silly_buffer:reset_req2]
	wire          arm_a9_hps_h2f_reset_reset;                                           // ARM_A9_HPS:h2f_rst_n -> [rst_controller:reset_in0, rst_controller_001:reset_in0, rst_controller_002:reset_in0, rst_controller_003:reset_in0, rst_controller_004:reset_in0]
	wire          system_pll_reset_source_reset;                                        // System_PLL:reset_source_reset -> [rst_controller:reset_in1, rst_controller_001:reset_in1, rst_controller_002:reset_in1, rst_controller_003:reset_in1]
	wire          rst_controller_001_reset_out_reset;                                   // rst_controller_001:reset_out -> VGA_Subsystem:sys_reset_reset_n
	wire          rst_controller_002_reset_out_reset;                                   // rst_controller_002:reset_out -> [cfg_pio:reset_n, de1_soc_adc_0:reset, mm_interconnect_0:vga_writer_bridge_reset_reset_bridge_in_reset_reset, mm_interconnect_2:cfg_pio_reset_reset_bridge_in_reset_reset, onchip_vga_buffer:reset, rst_translator_001:in_reset, silly_buffer:reset, status_pio:reset_n, trigger_bridge:reset, vga_writer_bridge:reset]
	wire          rst_controller_002_reset_out_reset_req;                               // rst_controller_002:reset_req -> [onchip_vga_buffer:reset_req, rst_translator_001:reset_req_in, silly_buffer:reset_req]
	wire          rst_controller_003_reset_out_reset;                                   // rst_controller_003:reset_out -> [mm_interconnect_2:pll_reconfig_0_mgmt_reset_reset_bridge_in_reset_reset, pll_reconfig_0:mgmt_reset]
	wire          rst_controller_004_reset_out_reset;                                   // rst_controller_004:reset_out -> [mm_interconnect_1:ARM_A9_HPS_h2f_axi_master_agent_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_2:ARM_A9_HPS_h2f_lw_axi_master_agent_clk_reset_reset_bridge_in_reset_reset]

	Computer_System_ARM_A9_HPS #(
		.F2S_Width (2),
		.S2F_Width (3)
	) arm_a9_hps (
		.mem_a                    (memory_mem_a),                         //            memory.mem_a
		.mem_ba                   (memory_mem_ba),                        //                  .mem_ba
		.mem_ck                   (memory_mem_ck),                        //                  .mem_ck
		.mem_ck_n                 (memory_mem_ck_n),                      //                  .mem_ck_n
		.mem_cke                  (memory_mem_cke),                       //                  .mem_cke
		.mem_cs_n                 (memory_mem_cs_n),                      //                  .mem_cs_n
		.mem_ras_n                (memory_mem_ras_n),                     //                  .mem_ras_n
		.mem_cas_n                (memory_mem_cas_n),                     //                  .mem_cas_n
		.mem_we_n                 (memory_mem_we_n),                      //                  .mem_we_n
		.mem_reset_n              (memory_mem_reset_n),                   //                  .mem_reset_n
		.mem_dq                   (memory_mem_dq),                        //                  .mem_dq
		.mem_dqs                  (memory_mem_dqs),                       //                  .mem_dqs
		.mem_dqs_n                (memory_mem_dqs_n),                     //                  .mem_dqs_n
		.mem_odt                  (memory_mem_odt),                       //                  .mem_odt
		.mem_dm                   (memory_mem_dm),                        //                  .mem_dm
		.oct_rzqin                (memory_oct_rzqin),                     //                  .oct_rzqin
		.hps_io_emac1_inst_TX_CLK (hps_io_hps_io_emac1_inst_TX_CLK),      //            hps_io.hps_io_emac1_inst_TX_CLK
		.hps_io_emac1_inst_TXD0   (hps_io_hps_io_emac1_inst_TXD0),        //                  .hps_io_emac1_inst_TXD0
		.hps_io_emac1_inst_TXD1   (hps_io_hps_io_emac1_inst_TXD1),        //                  .hps_io_emac1_inst_TXD1
		.hps_io_emac1_inst_TXD2   (hps_io_hps_io_emac1_inst_TXD2),        //                  .hps_io_emac1_inst_TXD2
		.hps_io_emac1_inst_TXD3   (hps_io_hps_io_emac1_inst_TXD3),        //                  .hps_io_emac1_inst_TXD3
		.hps_io_emac1_inst_RXD0   (hps_io_hps_io_emac1_inst_RXD0),        //                  .hps_io_emac1_inst_RXD0
		.hps_io_emac1_inst_MDIO   (hps_io_hps_io_emac1_inst_MDIO),        //                  .hps_io_emac1_inst_MDIO
		.hps_io_emac1_inst_MDC    (hps_io_hps_io_emac1_inst_MDC),         //                  .hps_io_emac1_inst_MDC
		.hps_io_emac1_inst_RX_CTL (hps_io_hps_io_emac1_inst_RX_CTL),      //                  .hps_io_emac1_inst_RX_CTL
		.hps_io_emac1_inst_TX_CTL (hps_io_hps_io_emac1_inst_TX_CTL),      //                  .hps_io_emac1_inst_TX_CTL
		.hps_io_emac1_inst_RX_CLK (hps_io_hps_io_emac1_inst_RX_CLK),      //                  .hps_io_emac1_inst_RX_CLK
		.hps_io_emac1_inst_RXD1   (hps_io_hps_io_emac1_inst_RXD1),        //                  .hps_io_emac1_inst_RXD1
		.hps_io_emac1_inst_RXD2   (hps_io_hps_io_emac1_inst_RXD2),        //                  .hps_io_emac1_inst_RXD2
		.hps_io_emac1_inst_RXD3   (hps_io_hps_io_emac1_inst_RXD3),        //                  .hps_io_emac1_inst_RXD3
		.hps_io_qspi_inst_IO0     (hps_io_hps_io_qspi_inst_IO0),          //                  .hps_io_qspi_inst_IO0
		.hps_io_qspi_inst_IO1     (hps_io_hps_io_qspi_inst_IO1),          //                  .hps_io_qspi_inst_IO1
		.hps_io_qspi_inst_IO2     (hps_io_hps_io_qspi_inst_IO2),          //                  .hps_io_qspi_inst_IO2
		.hps_io_qspi_inst_IO3     (hps_io_hps_io_qspi_inst_IO3),          //                  .hps_io_qspi_inst_IO3
		.hps_io_qspi_inst_SS0     (hps_io_hps_io_qspi_inst_SS0),          //                  .hps_io_qspi_inst_SS0
		.hps_io_qspi_inst_CLK     (hps_io_hps_io_qspi_inst_CLK),          //                  .hps_io_qspi_inst_CLK
		.hps_io_sdio_inst_CMD     (hps_io_hps_io_sdio_inst_CMD),          //                  .hps_io_sdio_inst_CMD
		.hps_io_sdio_inst_D0      (hps_io_hps_io_sdio_inst_D0),           //                  .hps_io_sdio_inst_D0
		.hps_io_sdio_inst_D1      (hps_io_hps_io_sdio_inst_D1),           //                  .hps_io_sdio_inst_D1
		.hps_io_sdio_inst_CLK     (hps_io_hps_io_sdio_inst_CLK),          //                  .hps_io_sdio_inst_CLK
		.hps_io_sdio_inst_D2      (hps_io_hps_io_sdio_inst_D2),           //                  .hps_io_sdio_inst_D2
		.hps_io_sdio_inst_D3      (hps_io_hps_io_sdio_inst_D3),           //                  .hps_io_sdio_inst_D3
		.hps_io_usb1_inst_D0      (hps_io_hps_io_usb1_inst_D0),           //                  .hps_io_usb1_inst_D0
		.hps_io_usb1_inst_D1      (hps_io_hps_io_usb1_inst_D1),           //                  .hps_io_usb1_inst_D1
		.hps_io_usb1_inst_D2      (hps_io_hps_io_usb1_inst_D2),           //                  .hps_io_usb1_inst_D2
		.hps_io_usb1_inst_D3      (hps_io_hps_io_usb1_inst_D3),           //                  .hps_io_usb1_inst_D3
		.hps_io_usb1_inst_D4      (hps_io_hps_io_usb1_inst_D4),           //                  .hps_io_usb1_inst_D4
		.hps_io_usb1_inst_D5      (hps_io_hps_io_usb1_inst_D5),           //                  .hps_io_usb1_inst_D5
		.hps_io_usb1_inst_D6      (hps_io_hps_io_usb1_inst_D6),           //                  .hps_io_usb1_inst_D6
		.hps_io_usb1_inst_D7      (hps_io_hps_io_usb1_inst_D7),           //                  .hps_io_usb1_inst_D7
		.hps_io_usb1_inst_CLK     (hps_io_hps_io_usb1_inst_CLK),          //                  .hps_io_usb1_inst_CLK
		.hps_io_usb1_inst_STP     (hps_io_hps_io_usb1_inst_STP),          //                  .hps_io_usb1_inst_STP
		.hps_io_usb1_inst_DIR     (hps_io_hps_io_usb1_inst_DIR),          //                  .hps_io_usb1_inst_DIR
		.hps_io_usb1_inst_NXT     (hps_io_hps_io_usb1_inst_NXT),          //                  .hps_io_usb1_inst_NXT
		.hps_io_spim1_inst_CLK    (hps_io_hps_io_spim1_inst_CLK),         //                  .hps_io_spim1_inst_CLK
		.hps_io_spim1_inst_MOSI   (hps_io_hps_io_spim1_inst_MOSI),        //                  .hps_io_spim1_inst_MOSI
		.hps_io_spim1_inst_MISO   (hps_io_hps_io_spim1_inst_MISO),        //                  .hps_io_spim1_inst_MISO
		.hps_io_spim1_inst_SS0    (hps_io_hps_io_spim1_inst_SS0),         //                  .hps_io_spim1_inst_SS0
		.hps_io_uart0_inst_RX     (hps_io_hps_io_uart0_inst_RX),          //                  .hps_io_uart0_inst_RX
		.hps_io_uart0_inst_TX     (hps_io_hps_io_uart0_inst_TX),          //                  .hps_io_uart0_inst_TX
		.hps_io_i2c0_inst_SDA     (hps_io_hps_io_i2c0_inst_SDA),          //                  .hps_io_i2c0_inst_SDA
		.hps_io_i2c0_inst_SCL     (hps_io_hps_io_i2c0_inst_SCL),          //                  .hps_io_i2c0_inst_SCL
		.hps_io_i2c1_inst_SDA     (hps_io_hps_io_i2c1_inst_SDA),          //                  .hps_io_i2c1_inst_SDA
		.hps_io_i2c1_inst_SCL     (hps_io_hps_io_i2c1_inst_SCL),          //                  .hps_io_i2c1_inst_SCL
		.hps_io_gpio_inst_GPIO09  (hps_io_hps_io_gpio_inst_GPIO09),       //                  .hps_io_gpio_inst_GPIO09
		.hps_io_gpio_inst_GPIO35  (hps_io_hps_io_gpio_inst_GPIO35),       //                  .hps_io_gpio_inst_GPIO35
		.hps_io_gpio_inst_GPIO40  (hps_io_hps_io_gpio_inst_GPIO40),       //                  .hps_io_gpio_inst_GPIO40
		.hps_io_gpio_inst_GPIO41  (hps_io_hps_io_gpio_inst_GPIO41),       //                  .hps_io_gpio_inst_GPIO41
		.hps_io_gpio_inst_GPIO48  (hps_io_hps_io_gpio_inst_GPIO48),       //                  .hps_io_gpio_inst_GPIO48
		.hps_io_gpio_inst_GPIO53  (hps_io_hps_io_gpio_inst_GPIO53),       //                  .hps_io_gpio_inst_GPIO53
		.hps_io_gpio_inst_GPIO54  (hps_io_hps_io_gpio_inst_GPIO54),       //                  .hps_io_gpio_inst_GPIO54
		.hps_io_gpio_inst_GPIO61  (hps_io_hps_io_gpio_inst_GPIO61),       //                  .hps_io_gpio_inst_GPIO61
		.h2f_rst_n                (arm_a9_hps_h2f_reset_reset),           //         h2f_reset.reset_n
		.h2f_axi_clk              (system_pll_sys_clk_clk),               //     h2f_axi_clock.clk
		.h2f_AWID                 (arm_a9_hps_h2f_axi_master_awid),       //    h2f_axi_master.awid
		.h2f_AWADDR               (arm_a9_hps_h2f_axi_master_awaddr),     //                  .awaddr
		.h2f_AWLEN                (arm_a9_hps_h2f_axi_master_awlen),      //                  .awlen
		.h2f_AWSIZE               (arm_a9_hps_h2f_axi_master_awsize),     //                  .awsize
		.h2f_AWBURST              (arm_a9_hps_h2f_axi_master_awburst),    //                  .awburst
		.h2f_AWLOCK               (arm_a9_hps_h2f_axi_master_awlock),     //                  .awlock
		.h2f_AWCACHE              (arm_a9_hps_h2f_axi_master_awcache),    //                  .awcache
		.h2f_AWPROT               (arm_a9_hps_h2f_axi_master_awprot),     //                  .awprot
		.h2f_AWVALID              (arm_a9_hps_h2f_axi_master_awvalid),    //                  .awvalid
		.h2f_AWREADY              (arm_a9_hps_h2f_axi_master_awready),    //                  .awready
		.h2f_WID                  (arm_a9_hps_h2f_axi_master_wid),        //                  .wid
		.h2f_WDATA                (arm_a9_hps_h2f_axi_master_wdata),      //                  .wdata
		.h2f_WSTRB                (arm_a9_hps_h2f_axi_master_wstrb),      //                  .wstrb
		.h2f_WLAST                (arm_a9_hps_h2f_axi_master_wlast),      //                  .wlast
		.h2f_WVALID               (arm_a9_hps_h2f_axi_master_wvalid),     //                  .wvalid
		.h2f_WREADY               (arm_a9_hps_h2f_axi_master_wready),     //                  .wready
		.h2f_BID                  (arm_a9_hps_h2f_axi_master_bid),        //                  .bid
		.h2f_BRESP                (arm_a9_hps_h2f_axi_master_bresp),      //                  .bresp
		.h2f_BVALID               (arm_a9_hps_h2f_axi_master_bvalid),     //                  .bvalid
		.h2f_BREADY               (arm_a9_hps_h2f_axi_master_bready),     //                  .bready
		.h2f_ARID                 (arm_a9_hps_h2f_axi_master_arid),       //                  .arid
		.h2f_ARADDR               (arm_a9_hps_h2f_axi_master_araddr),     //                  .araddr
		.h2f_ARLEN                (arm_a9_hps_h2f_axi_master_arlen),      //                  .arlen
		.h2f_ARSIZE               (arm_a9_hps_h2f_axi_master_arsize),     //                  .arsize
		.h2f_ARBURST              (arm_a9_hps_h2f_axi_master_arburst),    //                  .arburst
		.h2f_ARLOCK               (arm_a9_hps_h2f_axi_master_arlock),     //                  .arlock
		.h2f_ARCACHE              (arm_a9_hps_h2f_axi_master_arcache),    //                  .arcache
		.h2f_ARPROT               (arm_a9_hps_h2f_axi_master_arprot),     //                  .arprot
		.h2f_ARVALID              (arm_a9_hps_h2f_axi_master_arvalid),    //                  .arvalid
		.h2f_ARREADY              (arm_a9_hps_h2f_axi_master_arready),    //                  .arready
		.h2f_RID                  (arm_a9_hps_h2f_axi_master_rid),        //                  .rid
		.h2f_RDATA                (arm_a9_hps_h2f_axi_master_rdata),      //                  .rdata
		.h2f_RRESP                (arm_a9_hps_h2f_axi_master_rresp),      //                  .rresp
		.h2f_RLAST                (arm_a9_hps_h2f_axi_master_rlast),      //                  .rlast
		.h2f_RVALID               (arm_a9_hps_h2f_axi_master_rvalid),     //                  .rvalid
		.h2f_RREADY               (arm_a9_hps_h2f_axi_master_rready),     //                  .rready
		.f2h_axi_clk              (system_pll_sys_clk_clk),               //     f2h_axi_clock.clk
		.f2h_AWID                 (),                                     //     f2h_axi_slave.awid
		.f2h_AWADDR               (),                                     //                  .awaddr
		.f2h_AWLEN                (),                                     //                  .awlen
		.f2h_AWSIZE               (),                                     //                  .awsize
		.f2h_AWBURST              (),                                     //                  .awburst
		.f2h_AWLOCK               (),                                     //                  .awlock
		.f2h_AWCACHE              (),                                     //                  .awcache
		.f2h_AWPROT               (),                                     //                  .awprot
		.f2h_AWVALID              (),                                     //                  .awvalid
		.f2h_AWREADY              (),                                     //                  .awready
		.f2h_AWUSER               (),                                     //                  .awuser
		.f2h_WID                  (),                                     //                  .wid
		.f2h_WDATA                (),                                     //                  .wdata
		.f2h_WSTRB                (),                                     //                  .wstrb
		.f2h_WLAST                (),                                     //                  .wlast
		.f2h_WVALID               (),                                     //                  .wvalid
		.f2h_WREADY               (),                                     //                  .wready
		.f2h_BID                  (),                                     //                  .bid
		.f2h_BRESP                (),                                     //                  .bresp
		.f2h_BVALID               (),                                     //                  .bvalid
		.f2h_BREADY               (),                                     //                  .bready
		.f2h_ARID                 (),                                     //                  .arid
		.f2h_ARADDR               (),                                     //                  .araddr
		.f2h_ARLEN                (),                                     //                  .arlen
		.f2h_ARSIZE               (),                                     //                  .arsize
		.f2h_ARBURST              (),                                     //                  .arburst
		.f2h_ARLOCK               (),                                     //                  .arlock
		.f2h_ARCACHE              (),                                     //                  .arcache
		.f2h_ARPROT               (),                                     //                  .arprot
		.f2h_ARVALID              (),                                     //                  .arvalid
		.f2h_ARREADY              (),                                     //                  .arready
		.f2h_ARUSER               (),                                     //                  .aruser
		.f2h_RID                  (),                                     //                  .rid
		.f2h_RDATA                (),                                     //                  .rdata
		.f2h_RRESP                (),                                     //                  .rresp
		.f2h_RLAST                (),                                     //                  .rlast
		.f2h_RVALID               (),                                     //                  .rvalid
		.f2h_RREADY               (),                                     //                  .rready
		.h2f_lw_axi_clk           (system_pll_sys_clk_clk),               //  h2f_lw_axi_clock.clk
		.h2f_lw_AWID              (arm_a9_hps_h2f_lw_axi_master_awid),    // h2f_lw_axi_master.awid
		.h2f_lw_AWADDR            (arm_a9_hps_h2f_lw_axi_master_awaddr),  //                  .awaddr
		.h2f_lw_AWLEN             (arm_a9_hps_h2f_lw_axi_master_awlen),   //                  .awlen
		.h2f_lw_AWSIZE            (arm_a9_hps_h2f_lw_axi_master_awsize),  //                  .awsize
		.h2f_lw_AWBURST           (arm_a9_hps_h2f_lw_axi_master_awburst), //                  .awburst
		.h2f_lw_AWLOCK            (arm_a9_hps_h2f_lw_axi_master_awlock),  //                  .awlock
		.h2f_lw_AWCACHE           (arm_a9_hps_h2f_lw_axi_master_awcache), //                  .awcache
		.h2f_lw_AWPROT            (arm_a9_hps_h2f_lw_axi_master_awprot),  //                  .awprot
		.h2f_lw_AWVALID           (arm_a9_hps_h2f_lw_axi_master_awvalid), //                  .awvalid
		.h2f_lw_AWREADY           (arm_a9_hps_h2f_lw_axi_master_awready), //                  .awready
		.h2f_lw_WID               (arm_a9_hps_h2f_lw_axi_master_wid),     //                  .wid
		.h2f_lw_WDATA             (arm_a9_hps_h2f_lw_axi_master_wdata),   //                  .wdata
		.h2f_lw_WSTRB             (arm_a9_hps_h2f_lw_axi_master_wstrb),   //                  .wstrb
		.h2f_lw_WLAST             (arm_a9_hps_h2f_lw_axi_master_wlast),   //                  .wlast
		.h2f_lw_WVALID            (arm_a9_hps_h2f_lw_axi_master_wvalid),  //                  .wvalid
		.h2f_lw_WREADY            (arm_a9_hps_h2f_lw_axi_master_wready),  //                  .wready
		.h2f_lw_BID               (arm_a9_hps_h2f_lw_axi_master_bid),     //                  .bid
		.h2f_lw_BRESP             (arm_a9_hps_h2f_lw_axi_master_bresp),   //                  .bresp
		.h2f_lw_BVALID            (arm_a9_hps_h2f_lw_axi_master_bvalid),  //                  .bvalid
		.h2f_lw_BREADY            (arm_a9_hps_h2f_lw_axi_master_bready),  //                  .bready
		.h2f_lw_ARID              (arm_a9_hps_h2f_lw_axi_master_arid),    //                  .arid
		.h2f_lw_ARADDR            (arm_a9_hps_h2f_lw_axi_master_araddr),  //                  .araddr
		.h2f_lw_ARLEN             (arm_a9_hps_h2f_lw_axi_master_arlen),   //                  .arlen
		.h2f_lw_ARSIZE            (arm_a9_hps_h2f_lw_axi_master_arsize),  //                  .arsize
		.h2f_lw_ARBURST           (arm_a9_hps_h2f_lw_axi_master_arburst), //                  .arburst
		.h2f_lw_ARLOCK            (arm_a9_hps_h2f_lw_axi_master_arlock),  //                  .arlock
		.h2f_lw_ARCACHE           (arm_a9_hps_h2f_lw_axi_master_arcache), //                  .arcache
		.h2f_lw_ARPROT            (arm_a9_hps_h2f_lw_axi_master_arprot),  //                  .arprot
		.h2f_lw_ARVALID           (arm_a9_hps_h2f_lw_axi_master_arvalid), //                  .arvalid
		.h2f_lw_ARREADY           (arm_a9_hps_h2f_lw_axi_master_arready), //                  .arready
		.h2f_lw_RID               (arm_a9_hps_h2f_lw_axi_master_rid),     //                  .rid
		.h2f_lw_RDATA             (arm_a9_hps_h2f_lw_axi_master_rdata),   //                  .rdata
		.h2f_lw_RRESP             (arm_a9_hps_h2f_lw_axi_master_rresp),   //                  .rresp
		.h2f_lw_RLAST             (arm_a9_hps_h2f_lw_axi_master_rlast),   //                  .rlast
		.h2f_lw_RVALID            (arm_a9_hps_h2f_lw_axi_master_rvalid),  //                  .rvalid
		.h2f_lw_RREADY            (arm_a9_hps_h2f_lw_axi_master_rready),  //                  .rready
		.f2h_irq_p0               (arm_a9_hps_f2h_irq0_irq),              //          f2h_irq0.irq
		.f2h_irq_p1               (arm_a9_hps_f2h_irq1_irq)               //          f2h_irq1.irq
	);

	Computer_System_AV_Config av_config (
		.clk         (system_pll_sys_clk_clk),                                         //                    clk.clk
		.reset       (rst_controller_reset_out_reset),                                 //                  reset.reset
		.address     (mm_interconnect_2_av_config_avalon_av_config_slave_address),     // avalon_av_config_slave.address
		.byteenable  (mm_interconnect_2_av_config_avalon_av_config_slave_byteenable),  //                       .byteenable
		.read        (mm_interconnect_2_av_config_avalon_av_config_slave_read),        //                       .read
		.write       (mm_interconnect_2_av_config_avalon_av_config_slave_write),       //                       .write
		.writedata   (mm_interconnect_2_av_config_avalon_av_config_slave_writedata),   //                       .writedata
		.readdata    (mm_interconnect_2_av_config_avalon_av_config_slave_readdata),    //                       .readdata
		.waitrequest (mm_interconnect_2_av_config_avalon_av_config_slave_waitrequest), //                       .waitrequest
		.I2C_SDAT    (av_config_SDAT),                                                 //     external_interface.export
		.I2C_SCLK    (av_config_SCLK)                                                  //                       .export
	);

	Computer_System_HPS_Overlay_SDRAM hps_overlay_sdram (
		.clk            (system_pll_sys_clk_clk),                               //   clk.clk
		.reset_n        (~rst_controller_reset_out_reset),                      // reset.reset_n
		.az_addr        (mm_interconnect_1_hps_overlay_sdram_s1_address),       //    s1.address
		.az_be_n        (~mm_interconnect_1_hps_overlay_sdram_s1_byteenable),   //      .byteenable_n
		.az_cs          (mm_interconnect_1_hps_overlay_sdram_s1_chipselect),    //      .chipselect
		.az_data        (mm_interconnect_1_hps_overlay_sdram_s1_writedata),     //      .writedata
		.az_rd_n        (~mm_interconnect_1_hps_overlay_sdram_s1_read),         //      .read_n
		.az_wr_n        (~mm_interconnect_1_hps_overlay_sdram_s1_write),        //      .write_n
		.za_data        (mm_interconnect_1_hps_overlay_sdram_s1_readdata),      //      .readdata
		.za_valid       (mm_interconnect_1_hps_overlay_sdram_s1_readdatavalid), //      .readdatavalid
		.za_waitrequest (mm_interconnect_1_hps_overlay_sdram_s1_waitrequest),   //      .waitrequest
		.zs_addr        (sdram_addr),                                           //  wire.export
		.zs_ba          (sdram_ba),                                             //      .export
		.zs_cas_n       (sdram_cas_n),                                          //      .export
		.zs_cke         (sdram_cke),                                            //      .export
		.zs_cs_n        (sdram_cs_n),                                           //      .export
		.zs_dq          (sdram_dq),                                             //      .export
		.zs_dqm         (sdram_dqm),                                            //      .export
		.zs_ras_n       (sdram_ras_n),                                          //      .export
		.zs_we_n        (sdram_we_n)                                            //      .export
	);

	altera_avalon_mm_bridge #(
		.DATA_WIDTH        (32),
		.SYMBOL_WIDTH      (8),
		.HDL_ADDR_WIDTH    (32),
		.BURSTCOUNT_WIDTH  (1),
		.PIPELINE_COMMAND  (1),
		.PIPELINE_RESPONSE (1)
	) overlay_sdram_dma_bridge (
		.clk              (system_pll_sys_clk_clk),                                      //   clk.clk
		.reset            (rst_controller_reset_out_reset),                              // reset.reset
		.s0_waitrequest   (mm_interconnect_5_overlay_sdram_dma_bridge_s0_waitrequest),   //    s0.waitrequest
		.s0_readdata      (mm_interconnect_5_overlay_sdram_dma_bridge_s0_readdata),      //      .readdata
		.s0_readdatavalid (mm_interconnect_5_overlay_sdram_dma_bridge_s0_readdatavalid), //      .readdatavalid
		.s0_burstcount    (mm_interconnect_5_overlay_sdram_dma_bridge_s0_burstcount),    //      .burstcount
		.s0_writedata     (mm_interconnect_5_overlay_sdram_dma_bridge_s0_writedata),     //      .writedata
		.s0_address       (mm_interconnect_5_overlay_sdram_dma_bridge_s0_address),       //      .address
		.s0_write         (mm_interconnect_5_overlay_sdram_dma_bridge_s0_write),         //      .write
		.s0_read          (mm_interconnect_5_overlay_sdram_dma_bridge_s0_read),          //      .read
		.s0_byteenable    (mm_interconnect_5_overlay_sdram_dma_bridge_s0_byteenable),    //      .byteenable
		.s0_debugaccess   (mm_interconnect_5_overlay_sdram_dma_bridge_s0_debugaccess),   //      .debugaccess
		.m0_waitrequest   (overlay_sdram_dma_bridge_m0_waitrequest),                     //    m0.waitrequest
		.m0_readdata      (overlay_sdram_dma_bridge_m0_readdata),                        //      .readdata
		.m0_readdatavalid (overlay_sdram_dma_bridge_m0_readdatavalid),                   //      .readdatavalid
		.m0_burstcount    (overlay_sdram_dma_bridge_m0_burstcount),                      //      .burstcount
		.m0_writedata     (overlay_sdram_dma_bridge_m0_writedata),                       //      .writedata
		.m0_address       (overlay_sdram_dma_bridge_m0_address),                         //      .address
		.m0_write         (overlay_sdram_dma_bridge_m0_write),                           //      .write
		.m0_read          (overlay_sdram_dma_bridge_m0_read),                            //      .read
		.m0_byteenable    (overlay_sdram_dma_bridge_m0_byteenable),                      //      .byteenable
		.m0_debugaccess   (overlay_sdram_dma_bridge_m0_debugaccess),                     //      .debugaccess
		.s0_response      (),                                                            // (terminated)
		.m0_response      (2'b00)                                                        // (terminated)
	);

	altera_up_avalon_video_dma_ctrl_addr_trans #(
		.ADDRESS_TRANSLATION_MASK (32'b11000000000000000000000000000000)
	) pixel_dma_addr_translation (
		.clk                (system_pll_sys_clk_clk),                                         //  clock.clk
		.reset              (rst_controller_reset_out_reset),                                 //  reset.reset
		.slave_address      (mm_interconnect_2_pixel_dma_addr_translation_slave_address),     //  slave.address
		.slave_byteenable   (mm_interconnect_2_pixel_dma_addr_translation_slave_byteenable),  //       .byteenable
		.slave_read         (mm_interconnect_2_pixel_dma_addr_translation_slave_read),        //       .read
		.slave_write        (mm_interconnect_2_pixel_dma_addr_translation_slave_write),       //       .write
		.slave_writedata    (mm_interconnect_2_pixel_dma_addr_translation_slave_writedata),   //       .writedata
		.slave_readdata     (mm_interconnect_2_pixel_dma_addr_translation_slave_readdata),    //       .readdata
		.slave_waitrequest  (mm_interconnect_2_pixel_dma_addr_translation_slave_waitrequest), //       .waitrequest
		.master_readdata    (pixel_dma_addr_translation_master_readdata),                     // master.readdata
		.master_waitrequest (pixel_dma_addr_translation_master_waitrequest),                  //       .waitrequest
		.master_address     (pixel_dma_addr_translation_master_address),                      //       .address
		.master_byteenable  (pixel_dma_addr_translation_master_byteenable),                   //       .byteenable
		.master_read        (pixel_dma_addr_translation_master_read),                         //       .read
		.master_write       (pixel_dma_addr_translation_master_write),                        //       .write
		.master_writedata   (pixel_dma_addr_translation_master_writedata)                     //       .writedata
	);

	altera_up_avalon_video_dma_ctrl_addr_trans #(
		.ADDRESS_TRANSLATION_MASK (32'b00000100000000000000000000000000)
	) pixel_overlay_addr_translator (
		.clk                (system_pll_sys_clk_clk),                                            //  clock.clk
		.reset              (rst_controller_reset_out_reset),                                    //  reset.reset
		.slave_address      (mm_interconnect_2_pixel_overlay_addr_translator_slave_address),     //  slave.address
		.slave_byteenable   (mm_interconnect_2_pixel_overlay_addr_translator_slave_byteenable),  //       .byteenable
		.slave_read         (mm_interconnect_2_pixel_overlay_addr_translator_slave_read),        //       .read
		.slave_write        (mm_interconnect_2_pixel_overlay_addr_translator_slave_write),       //       .write
		.slave_writedata    (mm_interconnect_2_pixel_overlay_addr_translator_slave_writedata),   //       .writedata
		.slave_readdata     (mm_interconnect_2_pixel_overlay_addr_translator_slave_readdata),    //       .readdata
		.slave_waitrequest  (mm_interconnect_2_pixel_overlay_addr_translator_slave_waitrequest), //       .waitrequest
		.master_readdata    (pixel_overlay_addr_translator_master_readdata),                     // master.readdata
		.master_waitrequest (pixel_overlay_addr_translator_master_waitrequest),                  //       .waitrequest
		.master_address     (pixel_overlay_addr_translator_master_address),                      //       .address
		.master_byteenable  (pixel_overlay_addr_translator_master_byteenable),                   //       .byteenable
		.master_read        (pixel_overlay_addr_translator_master_read),                         //       .read
		.master_write       (pixel_overlay_addr_translator_master_write),                        //       .write
		.master_writedata   (pixel_overlay_addr_translator_master_writedata)                     //       .writedata
	);

	Computer_System_System_PLL system_pll (
		.ref_clk_clk        (clk_clk),                       //      ref_clk.clk
		.ref_reset_reset    (~reset_reset_n),                //    ref_reset.reset
		.sys_clk_clk        (system_pll_sys_clk_clk),        //      sys_clk.clk
		.sdram_clk_clk      (sdram_clk_clk),                 //    sdram_clk.clk
		.reset_source_reset (system_pll_reset_source_reset)  // reset_source.reset
	);

	Computer_System_VGA_Subsystem vga_subsystem (
		.char_buffer_control_slave_address    (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_address),    // char_buffer_control_slave.address
		.char_buffer_control_slave_byteenable (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_byteenable), //                          .byteenable
		.char_buffer_control_slave_chipselect (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_chipselect), //                          .chipselect
		.char_buffer_control_slave_read       (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_read),       //                          .read
		.char_buffer_control_slave_write      (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_write),      //                          .write
		.char_buffer_control_slave_writedata  (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_writedata),  //                          .writedata
		.char_buffer_control_slave_readdata   (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_readdata),   //                          .readdata
		.char_buffer_slave_byteenable         (mm_interconnect_1_vga_subsystem_char_buffer_slave_byteenable),         //         char_buffer_slave.byteenable
		.char_buffer_slave_chipselect         (mm_interconnect_1_vga_subsystem_char_buffer_slave_chipselect),         //                          .chipselect
		.char_buffer_slave_read               (mm_interconnect_1_vga_subsystem_char_buffer_slave_read),               //                          .read
		.char_buffer_slave_write              (mm_interconnect_1_vga_subsystem_char_buffer_slave_write),              //                          .write
		.char_buffer_slave_writedata          (mm_interconnect_1_vga_subsystem_char_buffer_slave_writedata),          //                          .writedata
		.char_buffer_slave_readdata           (mm_interconnect_1_vga_subsystem_char_buffer_slave_readdata),           //                          .readdata
		.char_buffer_slave_waitrequest        (mm_interconnect_1_vga_subsystem_char_buffer_slave_waitrequest),        //                          .waitrequest
		.char_buffer_slave_address            (mm_interconnect_1_vga_subsystem_char_buffer_slave_address),            //                          .address
		.overlay_dma_control_slave_address    (mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_address),    // overlay_dma_control_slave.address
		.overlay_dma_control_slave_byteenable (mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_byteenable), //                          .byteenable
		.overlay_dma_control_slave_read       (mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_read),       //                          .read
		.overlay_dma_control_slave_write      (mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_write),      //                          .write
		.overlay_dma_control_slave_writedata  (mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_writedata),  //                          .writedata
		.overlay_dma_control_slave_readdata   (mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_readdata),   //                          .readdata
		.overlay_dma_master_readdatavalid     (vga_subsystem_overlay_dma_master_readdatavalid),                       //        overlay_dma_master.readdatavalid
		.overlay_dma_master_waitrequest       (vga_subsystem_overlay_dma_master_waitrequest),                         //                          .waitrequest
		.overlay_dma_master_address           (vga_subsystem_overlay_dma_master_address),                             //                          .address
		.overlay_dma_master_lock              (vga_subsystem_overlay_dma_master_lock),                                //                          .lock
		.overlay_dma_master_read              (vga_subsystem_overlay_dma_master_read),                                //                          .read
		.overlay_dma_master_readdata          (vga_subsystem_overlay_dma_master_readdata),                            //                          .readdata
		.pixel_dma_control_slave_address      (mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_address),      //   pixel_dma_control_slave.address
		.pixel_dma_control_slave_byteenable   (mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_byteenable),   //                          .byteenable
		.pixel_dma_control_slave_read         (mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_read),         //                          .read
		.pixel_dma_control_slave_write        (mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_write),        //                          .write
		.pixel_dma_control_slave_writedata    (mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_writedata),    //                          .writedata
		.pixel_dma_control_slave_readdata     (mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_readdata),     //                          .readdata
		.pixel_dma_master_readdatavalid       (vga_subsystem_pixel_dma_master_readdatavalid),                         //          pixel_dma_master.readdatavalid
		.pixel_dma_master_waitrequest         (vga_subsystem_pixel_dma_master_waitrequest),                           //                          .waitrequest
		.pixel_dma_master_address             (vga_subsystem_pixel_dma_master_address),                               //                          .address
		.pixel_dma_master_lock                (vga_subsystem_pixel_dma_master_lock),                                  //                          .lock
		.pixel_dma_master_read                (vga_subsystem_pixel_dma_master_read),                                  //                          .read
		.pixel_dma_master_readdata            (vga_subsystem_pixel_dma_master_readdata),                              //                          .readdata
		.sys_clk_clk                          (system_pll_sys_clk_clk),                                               //                   sys_clk.clk
		.sys_reset_reset_n                    (~rst_controller_001_reset_out_reset),                                  //                 sys_reset.reset_n
		.vga_CLK                              (vga_CLK),                                                              //                       vga.CLK
		.vga_HS                               (vga_HS),                                                               //                          .HS
		.vga_VS                               (vga_VS),                                                               //                          .VS
		.vga_BLANK                            (vga_BLANK),                                                            //                          .BLANK
		.vga_SYNC                             (vga_SYNC),                                                             //                          .SYNC
		.vga_R                                (vga_R),                                                                //                          .R
		.vga_G                                (vga_G),                                                                //                          .G
		.vga_B                                (vga_B),                                                                //                          .B
		.vga_pll_ref_clk_clk                  (vga_pll_ref_clk_clk),                                                  //           vga_pll_ref_clk.clk
		.vga_pll_ref_reset_reset              (vga_pll_ref_reset_reset)                                               //         vga_pll_ref_reset.reset
	);

	Computer_System_cfg_pio cfg_pio (
		.clk        (logic_clk_clk),                           //                 clk.clk
		.reset_n    (~rst_controller_002_reset_out_reset),     //               reset.reset_n
		.address    (mm_interconnect_2_cfg_pio_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_2_cfg_pio_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_2_cfg_pio_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_2_cfg_pio_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_2_cfg_pio_s1_readdata),   //                    .readdata
		.out_port   (cfg_bus_export)                           // external_connection.export
	);

	Computer_System_de1_soc_adc_0 #(
		.tsclk (4),
		.numch (7)
	) de1_soc_adc_0 (
		.clock       (logic_clk_clk),                      //                clk.clk
		.reset       (rst_controller_002_reset_out_reset), //              reset.reset
		.write       (adc_s1_write),                       //          adc_slave.write
		.readdata    (adc_s1_readdata),                    //                   .readdata
		.writedata   (adc_s1_writedata),                   //                   .writedata
		.address     (adc_s1_address),                     //                   .address
		.waitrequest (adc_s1_waitrequest),                 //                   .waitrequest
		.read        (adc_s1_read),                        //                   .read
		.adc_sclk    (adc_sclk),                           // external_interface.export
		.adc_cs_n    (adc_cs_n),                           //                   .export
		.adc_dout    (adc_dout),                           //                   .export
		.adc_din     (adc_din)                             //                   .export
	);

	Computer_System_logic_pll logic_pll (
		.refclk            (clk_clk),                                        //            refclk.clk
		.rst               (~reset_reset_n),                                 //             reset.reset
		.outclk_0          (logic_clk_clk),                                  //           outclk0.clk
		.locked            (),                                               //            locked.export
		.reconfig_to_pll   (pll_reconfig_0_reconfig_to_pll_reconfig_to_pll), //   reconfig_to_pll.reconfig_to_pll
		.reconfig_from_pll (logic_pll_reconfig_from_pll_reconfig_from_pll)   // reconfig_from_pll.reconfig_from_pll
	);

	Computer_System_onchip_vga_buffer onchip_vga_buffer (
		.clk         (logic_clk_clk),                                     //   clk1.clk
		.address     (onchip_vga_buffer_s1_address),                      //     s1.address
		.clken       (onchip_vga_buffer_s1_clken),                        //       .clken
		.chipselect  (onchip_vga_buffer_s1_chipselect),                   //       .chipselect
		.write       (onchip_vga_buffer_s1_write),                        //       .write
		.readdata    (onchip_vga_buffer_s1_readdata),                     //       .readdata
		.writedata   (onchip_vga_buffer_s1_writedata),                    //       .writedata
		.reset       (rst_controller_002_reset_out_reset),                // reset1.reset
		.reset_req   (rst_controller_002_reset_out_reset_req),            //       .reset_req
		.address2    (mm_interconnect_1_onchip_vga_buffer_s2_address),    //     s2.address
		.chipselect2 (mm_interconnect_1_onchip_vga_buffer_s2_chipselect), //       .chipselect
		.clken2      (mm_interconnect_1_onchip_vga_buffer_s2_clken),      //       .clken
		.write2      (mm_interconnect_1_onchip_vga_buffer_s2_write),      //       .write
		.readdata2   (mm_interconnect_1_onchip_vga_buffer_s2_readdata),   //       .readdata
		.writedata2  (mm_interconnect_1_onchip_vga_buffer_s2_writedata),  //       .writedata
		.clk2        (system_pll_sys_clk_clk),                            //   clk2.clk
		.reset2      (rst_controller_reset_out_reset),                    // reset2.reset
		.reset_req2  (rst_controller_reset_out_reset_req)                 //       .reset_req
	);

	altera_pll_reconfig_top #(
		.device_family       ("Cyclone V"),
		.ENABLE_MIF          (0),
		.MIF_FILE_NAME       (""),
		.ENABLE_BYTEENABLE   (0),
		.BYTEENABLE_WIDTH    (4),
		.RECONFIG_ADDR_WIDTH (6),
		.RECONFIG_DATA_WIDTH (32),
		.reconf_width        (64)
	) pll_reconfig_0 (
		.mgmt_clk          (clk_clk),                                                        //          mgmt_clk.clk
		.mgmt_reset        (rst_controller_003_reset_out_reset),                             //        mgmt_reset.reset
		.mgmt_waitrequest  (mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_waitrequest), // mgmt_avalon_slave.waitrequest
		.mgmt_read         (mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_read),        //                  .read
		.mgmt_write        (mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_write),       //                  .write
		.mgmt_readdata     (mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_readdata),    //                  .readdata
		.mgmt_address      (mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_address),     //                  .address
		.mgmt_writedata    (mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_writedata),   //                  .writedata
		.reconfig_to_pll   (pll_reconfig_0_reconfig_to_pll_reconfig_to_pll),                 //   reconfig_to_pll.reconfig_to_pll
		.reconfig_from_pll (logic_pll_reconfig_from_pll_reconfig_from_pll),                  // reconfig_from_pll.reconfig_from_pll
		.mgmt_byteenable   (4'b0000)                                                         //       (terminated)
	);

	Computer_System_silly_buffer silly_buffer (
		.clk         (logic_clk_clk),                                //   clk1.clk
		.address     (mm_interconnect_0_silly_buffer_s1_address),    //     s1.address
		.clken       (mm_interconnect_0_silly_buffer_s1_clken),      //       .clken
		.chipselect  (mm_interconnect_0_silly_buffer_s1_chipselect), //       .chipselect
		.write       (mm_interconnect_0_silly_buffer_s1_write),      //       .write
		.readdata    (mm_interconnect_0_silly_buffer_s1_readdata),   //       .readdata
		.writedata   (mm_interconnect_0_silly_buffer_s1_writedata),  //       .writedata
		.byteenable  (mm_interconnect_0_silly_buffer_s1_byteenable), //       .byteenable
		.reset       (rst_controller_002_reset_out_reset),           // reset1.reset
		.reset_req   (rst_controller_002_reset_out_reset_req),       //       .reset_req
		.address2    (mm_interconnect_1_silly_buffer_s2_address),    //     s2.address
		.chipselect2 (mm_interconnect_1_silly_buffer_s2_chipselect), //       .chipselect
		.clken2      (mm_interconnect_1_silly_buffer_s2_clken),      //       .clken
		.write2      (mm_interconnect_1_silly_buffer_s2_write),      //       .write
		.readdata2   (mm_interconnect_1_silly_buffer_s2_readdata),   //       .readdata
		.writedata2  (mm_interconnect_1_silly_buffer_s2_writedata),  //       .writedata
		.byteenable2 (mm_interconnect_1_silly_buffer_s2_byteenable), //       .byteenable
		.clk2        (system_pll_sys_clk_clk),                       //   clk2.clk
		.reset2      (rst_controller_reset_out_reset),               // reset2.reset
		.reset_req2  (rst_controller_reset_out_reset_req)            //       .reset_req
	);

	Computer_System_status_pio status_pio (
		.clk      (logic_clk_clk),                            //                 clk.clk
		.reset_n  (~rst_controller_002_reset_out_reset),      //               reset.reset_n
		.address  (mm_interconnect_2_status_pio_s1_address),  //                  s1.address
		.readdata (mm_interconnect_2_status_pio_s1_readdata), //                    .readdata
		.in_port  (status_bus_export)                         // external_connection.export
	);

	Computer_System_trigger_bridge trigger_bridge (
		.clk                (logic_clk_clk),                            //                clk.clk
		.reset              (rst_controller_002_reset_out_reset),       //              reset.reset
		.avalon_readdata    (trigger_bridge_avalon_master_readdata),    //      avalon_master.readdata
		.avalon_waitrequest (trigger_bridge_avalon_master_waitrequest), //                   .waitrequest
		.avalon_byteenable  (trigger_bridge_avalon_master_byteenable),  //                   .byteenable
		.avalon_read        (trigger_bridge_avalon_master_read),        //                   .read
		.avalon_write       (trigger_bridge_avalon_master_write),       //                   .write
		.avalon_writedata   (trigger_bridge_avalon_master_writedata),   //                   .writedata
		.avalon_address     (trigger_bridge_avalon_master_address),     //                   .address
		.address            (trigger_bridge_iface_address),             // external_interface.export
		.byte_enable        (trigger_bridge_iface_byte_enable),         //                   .export
		.read               (trigger_bridge_iface_read),                //                   .export
		.write              (trigger_bridge_iface_write),               //                   .export
		.write_data         (trigger_bridge_iface_write_data),          //                   .export
		.acknowledge        (trigger_bridge_iface_acknowledge),         //                   .export
		.read_data          (trigger_bridge_iface_read_data)            //                   .export
	);

	Computer_System_trigger_bridge vga_writer_bridge (
		.clk                (logic_clk_clk),                               //                clk.clk
		.reset              (rst_controller_002_reset_out_reset),          //              reset.reset
		.avalon_readdata    (vga_writer_bridge_avalon_master_readdata),    //      avalon_master.readdata
		.avalon_waitrequest (vga_writer_bridge_avalon_master_waitrequest), //                   .waitrequest
		.avalon_byteenable  (vga_writer_bridge_avalon_master_byteenable),  //                   .byteenable
		.avalon_read        (vga_writer_bridge_avalon_master_read),        //                   .read
		.avalon_write       (vga_writer_bridge_avalon_master_write),       //                   .write
		.avalon_writedata   (vga_writer_bridge_avalon_master_writedata),   //                   .writedata
		.avalon_address     (vga_writer_bridge_avalon_master_address),     //                   .address
		.address            (vga_writer_bridge_iface_address),             // external_interface.export
		.byte_enable        (vga_writer_bridge_iface_byte_enable),         //                   .export
		.read               (vga_writer_bridge_iface_read),                //                   .export
		.write              (vga_writer_bridge_iface_write),               //                   .export
		.write_data         (vga_writer_bridge_iface_write_data),          //                   .export
		.acknowledge        (vga_writer_bridge_iface_acknowledge),         //                   .export
		.read_data          (vga_writer_bridge_iface_read_data)            //                   .export
	);

	Computer_System_mm_interconnect_0 mm_interconnect_0 (
		.logic_pll_outclk0_clk                               (logic_clk_clk),                                //                             logic_pll_outclk0.clk
		.vga_writer_bridge_reset_reset_bridge_in_reset_reset (rst_controller_002_reset_out_reset),           // vga_writer_bridge_reset_reset_bridge_in_reset.reset
		.trigger_bridge_avalon_master_address                (trigger_bridge_avalon_master_address),         //                  trigger_bridge_avalon_master.address
		.trigger_bridge_avalon_master_waitrequest            (trigger_bridge_avalon_master_waitrequest),     //                                              .waitrequest
		.trigger_bridge_avalon_master_byteenable             (trigger_bridge_avalon_master_byteenable),      //                                              .byteenable
		.trigger_bridge_avalon_master_read                   (trigger_bridge_avalon_master_read),            //                                              .read
		.trigger_bridge_avalon_master_readdata               (trigger_bridge_avalon_master_readdata),        //                                              .readdata
		.trigger_bridge_avalon_master_write                  (trigger_bridge_avalon_master_write),           //                                              .write
		.trigger_bridge_avalon_master_writedata              (trigger_bridge_avalon_master_writedata),       //                                              .writedata
		.vga_writer_bridge_avalon_master_address             (vga_writer_bridge_avalon_master_address),      //               vga_writer_bridge_avalon_master.address
		.vga_writer_bridge_avalon_master_waitrequest         (vga_writer_bridge_avalon_master_waitrequest),  //                                              .waitrequest
		.vga_writer_bridge_avalon_master_byteenable          (vga_writer_bridge_avalon_master_byteenable),   //                                              .byteenable
		.vga_writer_bridge_avalon_master_read                (vga_writer_bridge_avalon_master_read),         //                                              .read
		.vga_writer_bridge_avalon_master_readdata            (vga_writer_bridge_avalon_master_readdata),     //                                              .readdata
		.vga_writer_bridge_avalon_master_write               (vga_writer_bridge_avalon_master_write),        //                                              .write
		.vga_writer_bridge_avalon_master_writedata           (vga_writer_bridge_avalon_master_writedata),    //                                              .writedata
		.silly_buffer_s1_address                             (mm_interconnect_0_silly_buffer_s1_address),    //                               silly_buffer_s1.address
		.silly_buffer_s1_write                               (mm_interconnect_0_silly_buffer_s1_write),      //                                              .write
		.silly_buffer_s1_readdata                            (mm_interconnect_0_silly_buffer_s1_readdata),   //                                              .readdata
		.silly_buffer_s1_writedata                           (mm_interconnect_0_silly_buffer_s1_writedata),  //                                              .writedata
		.silly_buffer_s1_byteenable                          (mm_interconnect_0_silly_buffer_s1_byteenable), //                                              .byteenable
		.silly_buffer_s1_chipselect                          (mm_interconnect_0_silly_buffer_s1_chipselect), //                                              .chipselect
		.silly_buffer_s1_clken                               (mm_interconnect_0_silly_buffer_s1_clken)       //                                              .clken
	);

	Computer_System_mm_interconnect_1 mm_interconnect_1 (
		.ARM_A9_HPS_h2f_axi_master_awid                                        (arm_a9_hps_h2f_axi_master_awid),                                //                                       ARM_A9_HPS_h2f_axi_master.awid
		.ARM_A9_HPS_h2f_axi_master_awaddr                                      (arm_a9_hps_h2f_axi_master_awaddr),                              //                                                                .awaddr
		.ARM_A9_HPS_h2f_axi_master_awlen                                       (arm_a9_hps_h2f_axi_master_awlen),                               //                                                                .awlen
		.ARM_A9_HPS_h2f_axi_master_awsize                                      (arm_a9_hps_h2f_axi_master_awsize),                              //                                                                .awsize
		.ARM_A9_HPS_h2f_axi_master_awburst                                     (arm_a9_hps_h2f_axi_master_awburst),                             //                                                                .awburst
		.ARM_A9_HPS_h2f_axi_master_awlock                                      (arm_a9_hps_h2f_axi_master_awlock),                              //                                                                .awlock
		.ARM_A9_HPS_h2f_axi_master_awcache                                     (arm_a9_hps_h2f_axi_master_awcache),                             //                                                                .awcache
		.ARM_A9_HPS_h2f_axi_master_awprot                                      (arm_a9_hps_h2f_axi_master_awprot),                              //                                                                .awprot
		.ARM_A9_HPS_h2f_axi_master_awvalid                                     (arm_a9_hps_h2f_axi_master_awvalid),                             //                                                                .awvalid
		.ARM_A9_HPS_h2f_axi_master_awready                                     (arm_a9_hps_h2f_axi_master_awready),                             //                                                                .awready
		.ARM_A9_HPS_h2f_axi_master_wid                                         (arm_a9_hps_h2f_axi_master_wid),                                 //                                                                .wid
		.ARM_A9_HPS_h2f_axi_master_wdata                                       (arm_a9_hps_h2f_axi_master_wdata),                               //                                                                .wdata
		.ARM_A9_HPS_h2f_axi_master_wstrb                                       (arm_a9_hps_h2f_axi_master_wstrb),                               //                                                                .wstrb
		.ARM_A9_HPS_h2f_axi_master_wlast                                       (arm_a9_hps_h2f_axi_master_wlast),                               //                                                                .wlast
		.ARM_A9_HPS_h2f_axi_master_wvalid                                      (arm_a9_hps_h2f_axi_master_wvalid),                              //                                                                .wvalid
		.ARM_A9_HPS_h2f_axi_master_wready                                      (arm_a9_hps_h2f_axi_master_wready),                              //                                                                .wready
		.ARM_A9_HPS_h2f_axi_master_bid                                         (arm_a9_hps_h2f_axi_master_bid),                                 //                                                                .bid
		.ARM_A9_HPS_h2f_axi_master_bresp                                       (arm_a9_hps_h2f_axi_master_bresp),                               //                                                                .bresp
		.ARM_A9_HPS_h2f_axi_master_bvalid                                      (arm_a9_hps_h2f_axi_master_bvalid),                              //                                                                .bvalid
		.ARM_A9_HPS_h2f_axi_master_bready                                      (arm_a9_hps_h2f_axi_master_bready),                              //                                                                .bready
		.ARM_A9_HPS_h2f_axi_master_arid                                        (arm_a9_hps_h2f_axi_master_arid),                                //                                                                .arid
		.ARM_A9_HPS_h2f_axi_master_araddr                                      (arm_a9_hps_h2f_axi_master_araddr),                              //                                                                .araddr
		.ARM_A9_HPS_h2f_axi_master_arlen                                       (arm_a9_hps_h2f_axi_master_arlen),                               //                                                                .arlen
		.ARM_A9_HPS_h2f_axi_master_arsize                                      (arm_a9_hps_h2f_axi_master_arsize),                              //                                                                .arsize
		.ARM_A9_HPS_h2f_axi_master_arburst                                     (arm_a9_hps_h2f_axi_master_arburst),                             //                                                                .arburst
		.ARM_A9_HPS_h2f_axi_master_arlock                                      (arm_a9_hps_h2f_axi_master_arlock),                              //                                                                .arlock
		.ARM_A9_HPS_h2f_axi_master_arcache                                     (arm_a9_hps_h2f_axi_master_arcache),                             //                                                                .arcache
		.ARM_A9_HPS_h2f_axi_master_arprot                                      (arm_a9_hps_h2f_axi_master_arprot),                              //                                                                .arprot
		.ARM_A9_HPS_h2f_axi_master_arvalid                                     (arm_a9_hps_h2f_axi_master_arvalid),                             //                                                                .arvalid
		.ARM_A9_HPS_h2f_axi_master_arready                                     (arm_a9_hps_h2f_axi_master_arready),                             //                                                                .arready
		.ARM_A9_HPS_h2f_axi_master_rid                                         (arm_a9_hps_h2f_axi_master_rid),                                 //                                                                .rid
		.ARM_A9_HPS_h2f_axi_master_rdata                                       (arm_a9_hps_h2f_axi_master_rdata),                               //                                                                .rdata
		.ARM_A9_HPS_h2f_axi_master_rresp                                       (arm_a9_hps_h2f_axi_master_rresp),                               //                                                                .rresp
		.ARM_A9_HPS_h2f_axi_master_rlast                                       (arm_a9_hps_h2f_axi_master_rlast),                               //                                                                .rlast
		.ARM_A9_HPS_h2f_axi_master_rvalid                                      (arm_a9_hps_h2f_axi_master_rvalid),                              //                                                                .rvalid
		.ARM_A9_HPS_h2f_axi_master_rready                                      (arm_a9_hps_h2f_axi_master_rready),                              //                                                                .rready
		.System_PLL_sys_clk_clk                                                (system_pll_sys_clk_clk),                                        //                                              System_PLL_sys_clk.clk
		.ARM_A9_HPS_h2f_axi_master_agent_clk_reset_reset_bridge_in_reset_reset (rst_controller_004_reset_out_reset),                            // ARM_A9_HPS_h2f_axi_master_agent_clk_reset_reset_bridge_in_reset.reset
		.Overlay_SDRAM_DMA_Bridge_reset_reset_bridge_in_reset_reset            (rst_controller_reset_out_reset),                                //            Overlay_SDRAM_DMA_Bridge_reset_reset_bridge_in_reset.reset
		.VGA_Subsystem_sys_reset_reset_bridge_in_reset_reset                   (rst_controller_reset_out_reset),                                //                   VGA_Subsystem_sys_reset_reset_bridge_in_reset.reset
		.Overlay_SDRAM_DMA_Bridge_m0_address                                   (overlay_sdram_dma_bridge_m0_address),                           //                                     Overlay_SDRAM_DMA_Bridge_m0.address
		.Overlay_SDRAM_DMA_Bridge_m0_waitrequest                               (overlay_sdram_dma_bridge_m0_waitrequest),                       //                                                                .waitrequest
		.Overlay_SDRAM_DMA_Bridge_m0_burstcount                                (overlay_sdram_dma_bridge_m0_burstcount),                        //                                                                .burstcount
		.Overlay_SDRAM_DMA_Bridge_m0_byteenable                                (overlay_sdram_dma_bridge_m0_byteenable),                        //                                                                .byteenable
		.Overlay_SDRAM_DMA_Bridge_m0_read                                      (overlay_sdram_dma_bridge_m0_read),                              //                                                                .read
		.Overlay_SDRAM_DMA_Bridge_m0_readdata                                  (overlay_sdram_dma_bridge_m0_readdata),                          //                                                                .readdata
		.Overlay_SDRAM_DMA_Bridge_m0_readdatavalid                             (overlay_sdram_dma_bridge_m0_readdatavalid),                     //                                                                .readdatavalid
		.Overlay_SDRAM_DMA_Bridge_m0_write                                     (overlay_sdram_dma_bridge_m0_write),                             //                                                                .write
		.Overlay_SDRAM_DMA_Bridge_m0_writedata                                 (overlay_sdram_dma_bridge_m0_writedata),                         //                                                                .writedata
		.Overlay_SDRAM_DMA_Bridge_m0_debugaccess                               (overlay_sdram_dma_bridge_m0_debugaccess),                       //                                                                .debugaccess
		.VGA_Subsystem_pixel_dma_master_address                                (vga_subsystem_pixel_dma_master_address),                        //                                  VGA_Subsystem_pixel_dma_master.address
		.VGA_Subsystem_pixel_dma_master_waitrequest                            (vga_subsystem_pixel_dma_master_waitrequest),                    //                                                                .waitrequest
		.VGA_Subsystem_pixel_dma_master_read                                   (vga_subsystem_pixel_dma_master_read),                           //                                                                .read
		.VGA_Subsystem_pixel_dma_master_readdata                               (vga_subsystem_pixel_dma_master_readdata),                       //                                                                .readdata
		.VGA_Subsystem_pixel_dma_master_readdatavalid                          (vga_subsystem_pixel_dma_master_readdatavalid),                  //                                                                .readdatavalid
		.VGA_Subsystem_pixel_dma_master_lock                                   (vga_subsystem_pixel_dma_master_lock),                           //                                                                .lock
		.HPS_Overlay_SDRAM_s1_address                                          (mm_interconnect_1_hps_overlay_sdram_s1_address),                //                                            HPS_Overlay_SDRAM_s1.address
		.HPS_Overlay_SDRAM_s1_write                                            (mm_interconnect_1_hps_overlay_sdram_s1_write),                  //                                                                .write
		.HPS_Overlay_SDRAM_s1_read                                             (mm_interconnect_1_hps_overlay_sdram_s1_read),                   //                                                                .read
		.HPS_Overlay_SDRAM_s1_readdata                                         (mm_interconnect_1_hps_overlay_sdram_s1_readdata),               //                                                                .readdata
		.HPS_Overlay_SDRAM_s1_writedata                                        (mm_interconnect_1_hps_overlay_sdram_s1_writedata),              //                                                                .writedata
		.HPS_Overlay_SDRAM_s1_byteenable                                       (mm_interconnect_1_hps_overlay_sdram_s1_byteenable),             //                                                                .byteenable
		.HPS_Overlay_SDRAM_s1_readdatavalid                                    (mm_interconnect_1_hps_overlay_sdram_s1_readdatavalid),          //                                                                .readdatavalid
		.HPS_Overlay_SDRAM_s1_waitrequest                                      (mm_interconnect_1_hps_overlay_sdram_s1_waitrequest),            //                                                                .waitrequest
		.HPS_Overlay_SDRAM_s1_chipselect                                       (mm_interconnect_1_hps_overlay_sdram_s1_chipselect),             //                                                                .chipselect
		.onchip_vga_buffer_s2_address                                          (mm_interconnect_1_onchip_vga_buffer_s2_address),                //                                            onchip_vga_buffer_s2.address
		.onchip_vga_buffer_s2_write                                            (mm_interconnect_1_onchip_vga_buffer_s2_write),                  //                                                                .write
		.onchip_vga_buffer_s2_readdata                                         (mm_interconnect_1_onchip_vga_buffer_s2_readdata),               //                                                                .readdata
		.onchip_vga_buffer_s2_writedata                                        (mm_interconnect_1_onchip_vga_buffer_s2_writedata),              //                                                                .writedata
		.onchip_vga_buffer_s2_chipselect                                       (mm_interconnect_1_onchip_vga_buffer_s2_chipselect),             //                                                                .chipselect
		.onchip_vga_buffer_s2_clken                                            (mm_interconnect_1_onchip_vga_buffer_s2_clken),                  //                                                                .clken
		.silly_buffer_s2_address                                               (mm_interconnect_1_silly_buffer_s2_address),                     //                                                 silly_buffer_s2.address
		.silly_buffer_s2_write                                                 (mm_interconnect_1_silly_buffer_s2_write),                       //                                                                .write
		.silly_buffer_s2_readdata                                              (mm_interconnect_1_silly_buffer_s2_readdata),                    //                                                                .readdata
		.silly_buffer_s2_writedata                                             (mm_interconnect_1_silly_buffer_s2_writedata),                   //                                                                .writedata
		.silly_buffer_s2_byteenable                                            (mm_interconnect_1_silly_buffer_s2_byteenable),                  //                                                                .byteenable
		.silly_buffer_s2_chipselect                                            (mm_interconnect_1_silly_buffer_s2_chipselect),                  //                                                                .chipselect
		.silly_buffer_s2_clken                                                 (mm_interconnect_1_silly_buffer_s2_clken),                       //                                                                .clken
		.VGA_Subsystem_char_buffer_slave_address                               (mm_interconnect_1_vga_subsystem_char_buffer_slave_address),     //                                 VGA_Subsystem_char_buffer_slave.address
		.VGA_Subsystem_char_buffer_slave_write                                 (mm_interconnect_1_vga_subsystem_char_buffer_slave_write),       //                                                                .write
		.VGA_Subsystem_char_buffer_slave_read                                  (mm_interconnect_1_vga_subsystem_char_buffer_slave_read),        //                                                                .read
		.VGA_Subsystem_char_buffer_slave_readdata                              (mm_interconnect_1_vga_subsystem_char_buffer_slave_readdata),    //                                                                .readdata
		.VGA_Subsystem_char_buffer_slave_writedata                             (mm_interconnect_1_vga_subsystem_char_buffer_slave_writedata),   //                                                                .writedata
		.VGA_Subsystem_char_buffer_slave_byteenable                            (mm_interconnect_1_vga_subsystem_char_buffer_slave_byteenable),  //                                                                .byteenable
		.VGA_Subsystem_char_buffer_slave_waitrequest                           (mm_interconnect_1_vga_subsystem_char_buffer_slave_waitrequest), //                                                                .waitrequest
		.VGA_Subsystem_char_buffer_slave_chipselect                            (mm_interconnect_1_vga_subsystem_char_buffer_slave_chipselect)   //                                                                .chipselect
	);

	Computer_System_mm_interconnect_2 mm_interconnect_2 (
		.ARM_A9_HPS_h2f_lw_axi_master_awid                                        (arm_a9_hps_h2f_lw_axi_master_awid),                                    //                                       ARM_A9_HPS_h2f_lw_axi_master.awid
		.ARM_A9_HPS_h2f_lw_axi_master_awaddr                                      (arm_a9_hps_h2f_lw_axi_master_awaddr),                                  //                                                                   .awaddr
		.ARM_A9_HPS_h2f_lw_axi_master_awlen                                       (arm_a9_hps_h2f_lw_axi_master_awlen),                                   //                                                                   .awlen
		.ARM_A9_HPS_h2f_lw_axi_master_awsize                                      (arm_a9_hps_h2f_lw_axi_master_awsize),                                  //                                                                   .awsize
		.ARM_A9_HPS_h2f_lw_axi_master_awburst                                     (arm_a9_hps_h2f_lw_axi_master_awburst),                                 //                                                                   .awburst
		.ARM_A9_HPS_h2f_lw_axi_master_awlock                                      (arm_a9_hps_h2f_lw_axi_master_awlock),                                  //                                                                   .awlock
		.ARM_A9_HPS_h2f_lw_axi_master_awcache                                     (arm_a9_hps_h2f_lw_axi_master_awcache),                                 //                                                                   .awcache
		.ARM_A9_HPS_h2f_lw_axi_master_awprot                                      (arm_a9_hps_h2f_lw_axi_master_awprot),                                  //                                                                   .awprot
		.ARM_A9_HPS_h2f_lw_axi_master_awvalid                                     (arm_a9_hps_h2f_lw_axi_master_awvalid),                                 //                                                                   .awvalid
		.ARM_A9_HPS_h2f_lw_axi_master_awready                                     (arm_a9_hps_h2f_lw_axi_master_awready),                                 //                                                                   .awready
		.ARM_A9_HPS_h2f_lw_axi_master_wid                                         (arm_a9_hps_h2f_lw_axi_master_wid),                                     //                                                                   .wid
		.ARM_A9_HPS_h2f_lw_axi_master_wdata                                       (arm_a9_hps_h2f_lw_axi_master_wdata),                                   //                                                                   .wdata
		.ARM_A9_HPS_h2f_lw_axi_master_wstrb                                       (arm_a9_hps_h2f_lw_axi_master_wstrb),                                   //                                                                   .wstrb
		.ARM_A9_HPS_h2f_lw_axi_master_wlast                                       (arm_a9_hps_h2f_lw_axi_master_wlast),                                   //                                                                   .wlast
		.ARM_A9_HPS_h2f_lw_axi_master_wvalid                                      (arm_a9_hps_h2f_lw_axi_master_wvalid),                                  //                                                                   .wvalid
		.ARM_A9_HPS_h2f_lw_axi_master_wready                                      (arm_a9_hps_h2f_lw_axi_master_wready),                                  //                                                                   .wready
		.ARM_A9_HPS_h2f_lw_axi_master_bid                                         (arm_a9_hps_h2f_lw_axi_master_bid),                                     //                                                                   .bid
		.ARM_A9_HPS_h2f_lw_axi_master_bresp                                       (arm_a9_hps_h2f_lw_axi_master_bresp),                                   //                                                                   .bresp
		.ARM_A9_HPS_h2f_lw_axi_master_bvalid                                      (arm_a9_hps_h2f_lw_axi_master_bvalid),                                  //                                                                   .bvalid
		.ARM_A9_HPS_h2f_lw_axi_master_bready                                      (arm_a9_hps_h2f_lw_axi_master_bready),                                  //                                                                   .bready
		.ARM_A9_HPS_h2f_lw_axi_master_arid                                        (arm_a9_hps_h2f_lw_axi_master_arid),                                    //                                                                   .arid
		.ARM_A9_HPS_h2f_lw_axi_master_araddr                                      (arm_a9_hps_h2f_lw_axi_master_araddr),                                  //                                                                   .araddr
		.ARM_A9_HPS_h2f_lw_axi_master_arlen                                       (arm_a9_hps_h2f_lw_axi_master_arlen),                                   //                                                                   .arlen
		.ARM_A9_HPS_h2f_lw_axi_master_arsize                                      (arm_a9_hps_h2f_lw_axi_master_arsize),                                  //                                                                   .arsize
		.ARM_A9_HPS_h2f_lw_axi_master_arburst                                     (arm_a9_hps_h2f_lw_axi_master_arburst),                                 //                                                                   .arburst
		.ARM_A9_HPS_h2f_lw_axi_master_arlock                                      (arm_a9_hps_h2f_lw_axi_master_arlock),                                  //                                                                   .arlock
		.ARM_A9_HPS_h2f_lw_axi_master_arcache                                     (arm_a9_hps_h2f_lw_axi_master_arcache),                                 //                                                                   .arcache
		.ARM_A9_HPS_h2f_lw_axi_master_arprot                                      (arm_a9_hps_h2f_lw_axi_master_arprot),                                  //                                                                   .arprot
		.ARM_A9_HPS_h2f_lw_axi_master_arvalid                                     (arm_a9_hps_h2f_lw_axi_master_arvalid),                                 //                                                                   .arvalid
		.ARM_A9_HPS_h2f_lw_axi_master_arready                                     (arm_a9_hps_h2f_lw_axi_master_arready),                                 //                                                                   .arready
		.ARM_A9_HPS_h2f_lw_axi_master_rid                                         (arm_a9_hps_h2f_lw_axi_master_rid),                                     //                                                                   .rid
		.ARM_A9_HPS_h2f_lw_axi_master_rdata                                       (arm_a9_hps_h2f_lw_axi_master_rdata),                                   //                                                                   .rdata
		.ARM_A9_HPS_h2f_lw_axi_master_rresp                                       (arm_a9_hps_h2f_lw_axi_master_rresp),                                   //                                                                   .rresp
		.ARM_A9_HPS_h2f_lw_axi_master_rlast                                       (arm_a9_hps_h2f_lw_axi_master_rlast),                                   //                                                                   .rlast
		.ARM_A9_HPS_h2f_lw_axi_master_rvalid                                      (arm_a9_hps_h2f_lw_axi_master_rvalid),                                  //                                                                   .rvalid
		.ARM_A9_HPS_h2f_lw_axi_master_rready                                      (arm_a9_hps_h2f_lw_axi_master_rready),                                  //                                                                   .rready
		.clk_clk_clk                                                              (clk_clk),                                                              //                                                            clk_clk.clk
		.logic_pll_outclk0_clk                                                    (logic_clk_clk),                                                        //                                                  logic_pll_outclk0.clk
		.System_PLL_sys_clk_clk                                                   (system_pll_sys_clk_clk),                                               //                                                 System_PLL_sys_clk.clk
		.ARM_A9_HPS_h2f_lw_axi_master_agent_clk_reset_reset_bridge_in_reset_reset (rst_controller_004_reset_out_reset),                                   // ARM_A9_HPS_h2f_lw_axi_master_agent_clk_reset_reset_bridge_in_reset.reset
		.AV_Config_reset_reset_bridge_in_reset_reset                              (rst_controller_reset_out_reset),                                       //                              AV_Config_reset_reset_bridge_in_reset.reset
		.cfg_pio_reset_reset_bridge_in_reset_reset                                (rst_controller_002_reset_out_reset),                                   //                                cfg_pio_reset_reset_bridge_in_reset.reset
		.pll_reconfig_0_mgmt_reset_reset_bridge_in_reset_reset                    (rst_controller_003_reset_out_reset),                                   //                    pll_reconfig_0_mgmt_reset_reset_bridge_in_reset.reset
		.VGA_Subsystem_sys_reset_reset_bridge_in_reset_reset                      (rst_controller_reset_out_reset),                                       //                      VGA_Subsystem_sys_reset_reset_bridge_in_reset.reset
		.AV_Config_avalon_av_config_slave_address                                 (mm_interconnect_2_av_config_avalon_av_config_slave_address),           //                                   AV_Config_avalon_av_config_slave.address
		.AV_Config_avalon_av_config_slave_write                                   (mm_interconnect_2_av_config_avalon_av_config_slave_write),             //                                                                   .write
		.AV_Config_avalon_av_config_slave_read                                    (mm_interconnect_2_av_config_avalon_av_config_slave_read),              //                                                                   .read
		.AV_Config_avalon_av_config_slave_readdata                                (mm_interconnect_2_av_config_avalon_av_config_slave_readdata),          //                                                                   .readdata
		.AV_Config_avalon_av_config_slave_writedata                               (mm_interconnect_2_av_config_avalon_av_config_slave_writedata),         //                                                                   .writedata
		.AV_Config_avalon_av_config_slave_byteenable                              (mm_interconnect_2_av_config_avalon_av_config_slave_byteenable),        //                                                                   .byteenable
		.AV_Config_avalon_av_config_slave_waitrequest                             (mm_interconnect_2_av_config_avalon_av_config_slave_waitrequest),       //                                                                   .waitrequest
		.cfg_pio_s1_address                                                       (mm_interconnect_2_cfg_pio_s1_address),                                 //                                                         cfg_pio_s1.address
		.cfg_pio_s1_write                                                         (mm_interconnect_2_cfg_pio_s1_write),                                   //                                                                   .write
		.cfg_pio_s1_readdata                                                      (mm_interconnect_2_cfg_pio_s1_readdata),                                //                                                                   .readdata
		.cfg_pio_s1_writedata                                                     (mm_interconnect_2_cfg_pio_s1_writedata),                               //                                                                   .writedata
		.cfg_pio_s1_chipselect                                                    (mm_interconnect_2_cfg_pio_s1_chipselect),                              //                                                                   .chipselect
		.Pixel_DMA_Addr_Translation_slave_address                                 (mm_interconnect_2_pixel_dma_addr_translation_slave_address),           //                                   Pixel_DMA_Addr_Translation_slave.address
		.Pixel_DMA_Addr_Translation_slave_write                                   (mm_interconnect_2_pixel_dma_addr_translation_slave_write),             //                                                                   .write
		.Pixel_DMA_Addr_Translation_slave_read                                    (mm_interconnect_2_pixel_dma_addr_translation_slave_read),              //                                                                   .read
		.Pixel_DMA_Addr_Translation_slave_readdata                                (mm_interconnect_2_pixel_dma_addr_translation_slave_readdata),          //                                                                   .readdata
		.Pixel_DMA_Addr_Translation_slave_writedata                               (mm_interconnect_2_pixel_dma_addr_translation_slave_writedata),         //                                                                   .writedata
		.Pixel_DMA_Addr_Translation_slave_byteenable                              (mm_interconnect_2_pixel_dma_addr_translation_slave_byteenable),        //                                                                   .byteenable
		.Pixel_DMA_Addr_Translation_slave_waitrequest                             (mm_interconnect_2_pixel_dma_addr_translation_slave_waitrequest),       //                                                                   .waitrequest
		.Pixel_Overlay_Addr_Translator_slave_address                              (mm_interconnect_2_pixel_overlay_addr_translator_slave_address),        //                                Pixel_Overlay_Addr_Translator_slave.address
		.Pixel_Overlay_Addr_Translator_slave_write                                (mm_interconnect_2_pixel_overlay_addr_translator_slave_write),          //                                                                   .write
		.Pixel_Overlay_Addr_Translator_slave_read                                 (mm_interconnect_2_pixel_overlay_addr_translator_slave_read),           //                                                                   .read
		.Pixel_Overlay_Addr_Translator_slave_readdata                             (mm_interconnect_2_pixel_overlay_addr_translator_slave_readdata),       //                                                                   .readdata
		.Pixel_Overlay_Addr_Translator_slave_writedata                            (mm_interconnect_2_pixel_overlay_addr_translator_slave_writedata),      //                                                                   .writedata
		.Pixel_Overlay_Addr_Translator_slave_byteenable                           (mm_interconnect_2_pixel_overlay_addr_translator_slave_byteenable),     //                                                                   .byteenable
		.Pixel_Overlay_Addr_Translator_slave_waitrequest                          (mm_interconnect_2_pixel_overlay_addr_translator_slave_waitrequest),    //                                                                   .waitrequest
		.pll_reconfig_0_mgmt_avalon_slave_address                                 (mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_address),           //                                   pll_reconfig_0_mgmt_avalon_slave.address
		.pll_reconfig_0_mgmt_avalon_slave_write                                   (mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_write),             //                                                                   .write
		.pll_reconfig_0_mgmt_avalon_slave_read                                    (mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_read),              //                                                                   .read
		.pll_reconfig_0_mgmt_avalon_slave_readdata                                (mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_readdata),          //                                                                   .readdata
		.pll_reconfig_0_mgmt_avalon_slave_writedata                               (mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_writedata),         //                                                                   .writedata
		.pll_reconfig_0_mgmt_avalon_slave_waitrequest                             (mm_interconnect_2_pll_reconfig_0_mgmt_avalon_slave_waitrequest),       //                                                                   .waitrequest
		.status_pio_s1_address                                                    (mm_interconnect_2_status_pio_s1_address),                              //                                                      status_pio_s1.address
		.status_pio_s1_readdata                                                   (mm_interconnect_2_status_pio_s1_readdata),                             //                                                                   .readdata
		.VGA_Subsystem_char_buffer_control_slave_address                          (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_address),    //                            VGA_Subsystem_char_buffer_control_slave.address
		.VGA_Subsystem_char_buffer_control_slave_write                            (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_write),      //                                                                   .write
		.VGA_Subsystem_char_buffer_control_slave_read                             (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_read),       //                                                                   .read
		.VGA_Subsystem_char_buffer_control_slave_readdata                         (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_readdata),   //                                                                   .readdata
		.VGA_Subsystem_char_buffer_control_slave_writedata                        (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_writedata),  //                                                                   .writedata
		.VGA_Subsystem_char_buffer_control_slave_byteenable                       (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_byteenable), //                                                                   .byteenable
		.VGA_Subsystem_char_buffer_control_slave_chipselect                       (mm_interconnect_2_vga_subsystem_char_buffer_control_slave_chipselect)  //                                                                   .chipselect
	);

	Computer_System_mm_interconnect_3 mm_interconnect_3 (
		.System_PLL_sys_clk_clk                                          (system_pll_sys_clk_clk),                                               //                                        System_PLL_sys_clk.clk
		.Pixel_Overlay_Addr_Translator_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                                       // Pixel_Overlay_Addr_Translator_reset_reset_bridge_in_reset.reset
		.VGA_Subsystem_sys_reset_reset_bridge_in_reset_reset             (rst_controller_reset_out_reset),                                       //             VGA_Subsystem_sys_reset_reset_bridge_in_reset.reset
		.Pixel_Overlay_Addr_Translator_master_address                    (pixel_overlay_addr_translator_master_address),                         //                      Pixel_Overlay_Addr_Translator_master.address
		.Pixel_Overlay_Addr_Translator_master_waitrequest                (pixel_overlay_addr_translator_master_waitrequest),                     //                                                          .waitrequest
		.Pixel_Overlay_Addr_Translator_master_byteenable                 (pixel_overlay_addr_translator_master_byteenable),                      //                                                          .byteenable
		.Pixel_Overlay_Addr_Translator_master_read                       (pixel_overlay_addr_translator_master_read),                            //                                                          .read
		.Pixel_Overlay_Addr_Translator_master_readdata                   (pixel_overlay_addr_translator_master_readdata),                        //                                                          .readdata
		.Pixel_Overlay_Addr_Translator_master_write                      (pixel_overlay_addr_translator_master_write),                           //                                                          .write
		.Pixel_Overlay_Addr_Translator_master_writedata                  (pixel_overlay_addr_translator_master_writedata),                       //                                                          .writedata
		.VGA_Subsystem_overlay_dma_control_slave_address                 (mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_address),    //                   VGA_Subsystem_overlay_dma_control_slave.address
		.VGA_Subsystem_overlay_dma_control_slave_write                   (mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_write),      //                                                          .write
		.VGA_Subsystem_overlay_dma_control_slave_read                    (mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_read),       //                                                          .read
		.VGA_Subsystem_overlay_dma_control_slave_readdata                (mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_readdata),   //                                                          .readdata
		.VGA_Subsystem_overlay_dma_control_slave_writedata               (mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_writedata),  //                                                          .writedata
		.VGA_Subsystem_overlay_dma_control_slave_byteenable              (mm_interconnect_3_vga_subsystem_overlay_dma_control_slave_byteenable)  //                                                          .byteenable
	);

	Computer_System_mm_interconnect_4 mm_interconnect_4 (
		.System_PLL_sys_clk_clk                                       (system_pll_sys_clk_clk),                                             //                                     System_PLL_sys_clk.clk
		.Pixel_DMA_Addr_Translation_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                                     // Pixel_DMA_Addr_Translation_reset_reset_bridge_in_reset.reset
		.VGA_Subsystem_sys_reset_reset_bridge_in_reset_reset          (rst_controller_reset_out_reset),                                     //          VGA_Subsystem_sys_reset_reset_bridge_in_reset.reset
		.Pixel_DMA_Addr_Translation_master_address                    (pixel_dma_addr_translation_master_address),                          //                      Pixel_DMA_Addr_Translation_master.address
		.Pixel_DMA_Addr_Translation_master_waitrequest                (pixel_dma_addr_translation_master_waitrequest),                      //                                                       .waitrequest
		.Pixel_DMA_Addr_Translation_master_byteenable                 (pixel_dma_addr_translation_master_byteenable),                       //                                                       .byteenable
		.Pixel_DMA_Addr_Translation_master_read                       (pixel_dma_addr_translation_master_read),                             //                                                       .read
		.Pixel_DMA_Addr_Translation_master_readdata                   (pixel_dma_addr_translation_master_readdata),                         //                                                       .readdata
		.Pixel_DMA_Addr_Translation_master_write                      (pixel_dma_addr_translation_master_write),                            //                                                       .write
		.Pixel_DMA_Addr_Translation_master_writedata                  (pixel_dma_addr_translation_master_writedata),                        //                                                       .writedata
		.VGA_Subsystem_pixel_dma_control_slave_address                (mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_address),    //                  VGA_Subsystem_pixel_dma_control_slave.address
		.VGA_Subsystem_pixel_dma_control_slave_write                  (mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_write),      //                                                       .write
		.VGA_Subsystem_pixel_dma_control_slave_read                   (mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_read),       //                                                       .read
		.VGA_Subsystem_pixel_dma_control_slave_readdata               (mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_readdata),   //                                                       .readdata
		.VGA_Subsystem_pixel_dma_control_slave_writedata              (mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_writedata),  //                                                       .writedata
		.VGA_Subsystem_pixel_dma_control_slave_byteenable             (mm_interconnect_4_vga_subsystem_pixel_dma_control_slave_byteenable)  //                                                       .byteenable
	);

	Computer_System_mm_interconnect_5 mm_interconnect_5 (
		.System_PLL_sys_clk_clk                                     (system_pll_sys_clk_clk),                                      //                                   System_PLL_sys_clk.clk
		.Overlay_SDRAM_DMA_Bridge_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                              // Overlay_SDRAM_DMA_Bridge_reset_reset_bridge_in_reset.reset
		.VGA_Subsystem_sys_reset_reset_bridge_in_reset_reset        (rst_controller_reset_out_reset),                              //        VGA_Subsystem_sys_reset_reset_bridge_in_reset.reset
		.VGA_Subsystem_overlay_dma_master_address                   (vga_subsystem_overlay_dma_master_address),                    //                     VGA_Subsystem_overlay_dma_master.address
		.VGA_Subsystem_overlay_dma_master_waitrequest               (vga_subsystem_overlay_dma_master_waitrequest),                //                                                     .waitrequest
		.VGA_Subsystem_overlay_dma_master_read                      (vga_subsystem_overlay_dma_master_read),                       //                                                     .read
		.VGA_Subsystem_overlay_dma_master_readdata                  (vga_subsystem_overlay_dma_master_readdata),                   //                                                     .readdata
		.VGA_Subsystem_overlay_dma_master_readdatavalid             (vga_subsystem_overlay_dma_master_readdatavalid),              //                                                     .readdatavalid
		.VGA_Subsystem_overlay_dma_master_lock                      (vga_subsystem_overlay_dma_master_lock),                       //                                                     .lock
		.Overlay_SDRAM_DMA_Bridge_s0_address                        (mm_interconnect_5_overlay_sdram_dma_bridge_s0_address),       //                          Overlay_SDRAM_DMA_Bridge_s0.address
		.Overlay_SDRAM_DMA_Bridge_s0_write                          (mm_interconnect_5_overlay_sdram_dma_bridge_s0_write),         //                                                     .write
		.Overlay_SDRAM_DMA_Bridge_s0_read                           (mm_interconnect_5_overlay_sdram_dma_bridge_s0_read),          //                                                     .read
		.Overlay_SDRAM_DMA_Bridge_s0_readdata                       (mm_interconnect_5_overlay_sdram_dma_bridge_s0_readdata),      //                                                     .readdata
		.Overlay_SDRAM_DMA_Bridge_s0_writedata                      (mm_interconnect_5_overlay_sdram_dma_bridge_s0_writedata),     //                                                     .writedata
		.Overlay_SDRAM_DMA_Bridge_s0_burstcount                     (mm_interconnect_5_overlay_sdram_dma_bridge_s0_burstcount),    //                                                     .burstcount
		.Overlay_SDRAM_DMA_Bridge_s0_byteenable                     (mm_interconnect_5_overlay_sdram_dma_bridge_s0_byteenable),    //                                                     .byteenable
		.Overlay_SDRAM_DMA_Bridge_s0_readdatavalid                  (mm_interconnect_5_overlay_sdram_dma_bridge_s0_readdatavalid), //                                                     .readdatavalid
		.Overlay_SDRAM_DMA_Bridge_s0_waitrequest                    (mm_interconnect_5_overlay_sdram_dma_bridge_s0_waitrequest),   //                                                     .waitrequest
		.Overlay_SDRAM_DMA_Bridge_s0_debugaccess                    (mm_interconnect_5_overlay_sdram_dma_bridge_s0_debugaccess)    //                                                     .debugaccess
	);

	Computer_System_irq_mapper irq_mapper (
		.clk        (),                        //       clk.clk
		.reset      (),                        // clk_reset.reset
		.sender_irq (arm_a9_hps_f2h_irq0_irq)  //    sender.irq
	);

	Computer_System_irq_mapper irq_mapper_001 (
		.clk        (),                        //       clk.clk
		.reset      (),                        // clk_reset.reset
		.sender_irq (arm_a9_hps_f2h_irq1_irq)  //    sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~arm_a9_hps_h2f_reset_reset),        // reset_in0.reset
		.reset_in1      (system_pll_reset_source_reset),      // reset_in1.reset
		.clk            (system_pll_sys_clk_clk),             //       clk.clk
		.reset_out      (rst_controller_reset_out_reset),     // reset_out.reset
		.reset_req      (rst_controller_reset_out_reset_req), //          .reset_req
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("none"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~arm_a9_hps_h2f_reset_reset),        // reset_in0.reset
		.reset_in1      (system_pll_reset_source_reset),      // reset_in1.reset
		.clk            (),                                   //       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (~arm_a9_hps_h2f_reset_reset),            // reset_in0.reset
		.reset_in1      (system_pll_reset_source_reset),          // reset_in1.reset
		.clk            (logic_clk_clk),                          //       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset),     // reset_out.reset
		.reset_req      (rst_controller_002_reset_out_reset_req), //          .reset_req
		.reset_req_in0  (1'b0),                                   // (terminated)
		.reset_req_in1  (1'b0),                                   // (terminated)
		.reset_in2      (1'b0),                                   // (terminated)
		.reset_req_in2  (1'b0),                                   // (terminated)
		.reset_in3      (1'b0),                                   // (terminated)
		.reset_req_in3  (1'b0),                                   // (terminated)
		.reset_in4      (1'b0),                                   // (terminated)
		.reset_req_in4  (1'b0),                                   // (terminated)
		.reset_in5      (1'b0),                                   // (terminated)
		.reset_req_in5  (1'b0),                                   // (terminated)
		.reset_in6      (1'b0),                                   // (terminated)
		.reset_req_in6  (1'b0),                                   // (terminated)
		.reset_in7      (1'b0),                                   // (terminated)
		.reset_req_in7  (1'b0),                                   // (terminated)
		.reset_in8      (1'b0),                                   // (terminated)
		.reset_req_in8  (1'b0),                                   // (terminated)
		.reset_in9      (1'b0),                                   // (terminated)
		.reset_req_in9  (1'b0),                                   // (terminated)
		.reset_in10     (1'b0),                                   // (terminated)
		.reset_req_in10 (1'b0),                                   // (terminated)
		.reset_in11     (1'b0),                                   // (terminated)
		.reset_req_in11 (1'b0),                                   // (terminated)
		.reset_in12     (1'b0),                                   // (terminated)
		.reset_req_in12 (1'b0),                                   // (terminated)
		.reset_in13     (1'b0),                                   // (terminated)
		.reset_req_in13 (1'b0),                                   // (terminated)
		.reset_in14     (1'b0),                                   // (terminated)
		.reset_req_in14 (1'b0),                                   // (terminated)
		.reset_in15     (1'b0),                                   // (terminated)
		.reset_req_in15 (1'b0)                                    // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_003 (
		.reset_in0      (~arm_a9_hps_h2f_reset_reset),        // reset_in0.reset
		.reset_in1      (system_pll_reset_source_reset),      // reset_in1.reset
		.clk            (clk_clk),                            //       clk.clk
		.reset_out      (rst_controller_003_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_004 (
		.reset_in0      (~arm_a9_hps_h2f_reset_reset),        // reset_in0.reset
		.clk            (system_pll_sys_clk_clk),             //       clk.clk
		.reset_out      (rst_controller_004_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

endmodule
